-- Autogenerated tag insert statements
INSERT INTO tags (id, label, description) VALUES (0, 'Alle', 'Jede Fallakte hat einen Tag');
INSERT INTO tags (id, label, description) VALUES (1, 'Grundsätzlich auswertbar', 'Die Fallakte ist konsistent und weist die benötigten Validitäten auf, die für eine grundsätzliche Auswertung erfüllt sein müssen. Die Fallakte steht in Auswertungen zur Verfügung');
INSERT INTO tags (id, label, description) VALUES (2, 'Berichtsfähig', 'Eine Fallakte ist grundsätzlich auswertbar. Sie befindet sich darüber hinaus mindestens im laufendem CM und enthält eine Geschlechtsangabe. Die Fallakte steht für Auswertungen wie den Verwendungsnachweis zur Verfügung');
INSERT INTO tags (id, label, description) VALUES (10, 'Datumsangaben konsistent', 'Alle Datumsangaben in der Fallakte befinden sich in chronologisch korrekter Reihenfolge und liegen nicht in der Zukunft');
INSERT INTO tags (id, label, description) VALUES (11, 'Phase ist gesetzt', 'Die Phase der Fallakte ist nicht unbekannt');
INSERT INTO tags (id, label, description) VALUES (12, 'Synchronität der Phasen ist gegeben', 'Die in der Fallakte angegebenen Datumsangaben sind nicht weiter ausgefüllt, als es die aktuell gesetzte Phase. Z.b ein gesetzten Beendigungsdatum bei laufender Phase');
INSERT INTO tags (id, label, description) VALUES (13, 'Junger Mensch ist ein CM-Kunde', 'Für den jungen Menschen wurde im Phasenmodell mindestens ein laufendes Case Management dokumentiert');
INSERT INTO tags (id, label, description) VALUES (14, 'Geschlechtsangabe angegeben', 'Die Geschlechtsangabe des jungen Menschen ist angegeben und hat nicht den Wert "unbekannt"');
INSERT INTO tags (id, label, description) VALUES (16, 'Formale Angabe zum Start der Nachbetreuung in der Fallakte sind passend zur gesetzten Phase', 'Die Regeln, die sicherstellen das die Phase NB nur dann gestartet werden kann wenn entsprechende Angaben bei der Beendigung des CM dokumentiert wurden, sind erfüllt.');
INSERT INTO tags (id, label, description) VALUES (17, 'Die Dauer der Phasen überschreitet nicht die maximale Länge', 'Die Regeln, die sicherstellen das die Phasen nicht die maximale Länge überschreiten, sind erfüllt.');
INSERT INTO tags (id, label, description) VALUES (18, 'Der junge Mensch ist zu Beginn der Förderung mindestens 12 Jahre', 'Nach den Richtlinien dürfen nur junge Menschen betreut werden, die zu Beginn der Förderung das 12. Lebensjahr vollendet haben.');
INSERT INTO tags (id, label, description) VALUES (110, 'Ende Wiederaufnahme max 93Tage > als Genehmigung Wiederaufnahme', 'Zeitraum der genehmigten Wiederaufnahme zu groß');
INSERT INTO tags (id, label, description) VALUES (111, 'Ende Wiederaufnahme max 93Tage > als Beendigung Wiederaufnahme 1', 'Zeitraum der genehmigten Wiederaufnahme zu groß');
INSERT INTO tags (id, label, description) VALUES (112, 'Dauer der Verlängerung > 93Tage nach Ende letzter Verlängerung', 'Ende der Verlängerung darf max 3 Monate nach dem Ende der ersten Verlängerung liegen');
INSERT INTO tags (id, label, description) VALUES (113, 'Dauer der Verlängerung > 458 Tage nach Beginn CM', 'Ende der Verlängerung darf max 12 Monate + 3 Monate nach dem Beginn der Aufnahme in das CM liegen.');
INSERT INTO tags (id, label, description) VALUES (200, 'Phase Nachbetreuung darf nur gestartet werden, wenn Art der Beendigung eine "erfolgreiche Reintegration in die Allgemeinebildende Schule" oder eine "erfolgreiche Reintegration in die Berufliche Schule" oder eine "sonstige Beendigung" ist', 'Phase Nachbetreuung darf nur gestartet werden, wenn Art der Beendigung eine "erfolgreiche Reintegration in die Allgemeinebildende Schule" oder eine "erfolgreiche Reintegration in die Berufliche Schule" oder eine "sonstige Beendigung" ist');
INSERT INTO tags (id, label, description) VALUES (201, 'Phase NB darf nur gestartet werden wenn eine Nachbetreuung geplant ist', 'Eine Nachbetreuung darf nur bei einer geplanten Nachbetreuung begonnen werden.');
INSERT INTO tags (id, label, description) VALUES (900, 'Phase EA nicht länger als 36 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Eingangsdokumentation". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (901, 'Phase CM  nicht länger als 18 monate', 'Die eingetragenen Datumsangaben (inklusive der Verlängerungen des CM) sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Case Management". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (902, 'Phase NB nicht länger als 36 monate', 'Die eingetragenen Datumsangaben sind offensichtlich falsch und überschreiten die maximale Dauer der Phase "Nachbetreuung". Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (903, 'Der junge Mensch ist jünger als 12 Jahre', 'Der Jugendliche ist zu Beginn des CM jünger als 12 Jahre. Bitte korrigieren Sie Ihre Angaben, da die Fallakte andernfalls nicht auswertbar ist.');
INSERT INTO tags (id, label, description) VALUES (1000, '"geburtsdatum" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1001, '"geburtsdatum" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1002, '"vater_gb" muss vor "geburtsdatum" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Geburtsdatum" liegen.');
INSERT INTO tags (id, label, description) VALUES (1003, '"geburtsdatum" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1004, '"geburtsdatum" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1005, '"geburtsdatum" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1006, '"geburtsdatum" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1007, '"geburtsdatum" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1008, '"geburtsdatum" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1009, '"geburtsdatum" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1010, '"mutter_gb" muss vor "geburtsdatum" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Geburtsdatum" liegen.');
INSERT INTO tags (id, label, description) VALUES (1011, '"geburtsdatum" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1013, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1014, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_genehm_datum_1" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme" liegen.');
INSERT INTO tags (id, label, description) VALUES (1015, '"cm_dok_datum_beendigung" muss vor "cm_wiederauf_datum_bis_1" liegen.', '"Datum der Beendigung" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1017, '"cm_wiederauf_genehm_datum_1" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum Wiederaufnahme" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1018, '"cm_wiederauf_datum_bis_1" muss vor "cm_wiederauf_datum_bis_2" liegen.', '"Datum Wiederaufnahme genehmigt bis" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1019, '"cm_wiederauf_genehm_datum_1" muss vor "cm_wiederauf_datum_bis_1" liegen.', '"Datum Wiederaufnahme" darf zeitlich nicht nach "Datum Wiederaufnahme genehmigt bis" liegen.');
INSERT INTO tags (id, label, description) VALUES (1021, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1022, '"kontakt" muss vor "nbetr_start" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1023, '"erstgespraech" muss vor "datum_cm_start" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1024, '"erstgespraech" muss vor "nbetr_ende" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1025, '"erstgespraech" muss vor "datum_cm_ende" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1026, '"mutter_gb" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1027, '"kontakt" muss vor "datum_cm_start" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1028, '"kontakt" muss vor "datum_bfplan" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1029, '"kontakt" muss vor "datum_cm_ende" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1030, '"vater_gb" muss vor "kontakt" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstkontakt zum/zur Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1031, '"erstgespraech" muss vor "nbetr_start" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1032, '"kontakt" muss vor "nbetr_ende" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1033, '"vater_gb" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1034, '"mutter_gb" muss vor "erstgespraech" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1035, '"erstgespraech" muss vor "datum_bfplan" liegen.', '"Datum des Erstgesprächs mit dem/der Jugendlichen" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1036, '"kontakt" muss vor "erstgespraech" liegen.', '"Datum des Erstkontakt zum/zur Jugendlichen" darf zeitlich nicht nach "Datum des Erstgesprächs mit dem/der Jugendlichen" liegen.');
INSERT INTO tags (id, label, description) VALUES (1038, '"datum_cm_start" muss vor "nbetr_ende" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1039, '"datum_cm_start" muss vor "datum_bfplan" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1040, '"vater_gb" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1041, '"mutter_gb" muss vor "datum_cm_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" liegen.');
INSERT INTO tags (id, label, description) VALUES (1042, '"datum_cm_start" muss vor "nbetr_start" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1043, '"datum_cm_start" muss vor "datum_cm_ende" liegen.', '"Datum Beginn der Umsetzung des Case Management in der Koordinierungsstelle" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1044, '"mutter_gb" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1045, '"vater_gb" muss vor "nat_wohn" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum wohnhaft in Deutschland seit" liegen.');
INSERT INTO tags (id, label, description) VALUES (1046, '"mutter_gb" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1047, '"mutter_gb" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1048, '"mutter_gb" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1049, '"mutter_gb" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1050, '"mutter_gb" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1051, '"mutter_gb" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1052, '"vater_gb" muss vor "datum_bfplan" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Bildungs- und Förderplanung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1053, '"vater_gb" muss vor "nbetr_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1054, '"vater_gb" muss vor "nbetr_start" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1055, '"vater_gb" muss vor "datum_cm_ende" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1056, '"vater_gb" muss vor "datum_kf_1" liegen.', '"Geburtsdatum" darf zeitlich nicht nach "Datum Beginn der Kompetenzfeststellung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1057, '"vater_gb" darf nicht in der Zukunft liegen.', '"Geburtsdatum" darf nicht in der Zukunft liegen.');
INSERT INTO tags (id, label, description) VALUES (1058, '"datum_bfplan" muss vor "nbetr_ende" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1059, '"datum_bfplan" muss vor "datum_cm_ende" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Beendigung des Case Management" liegen.');
INSERT INTO tags (id, label, description) VALUES (1060, '"datum_bfplan" muss vor "nbetr_start" liegen.', '"Datum Beginn der Bildungs- und Förderplanung" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1062, '"cm_datum_verlaengerung_1" muss vor "cm_datum_verlaengerung_2" liegen.', '"Datum erste Verlängerung" darf zeitlich nicht nach "Datum zweite Verlängerung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1065, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1066, '"datum_cm_ende" muss vor "nbetr_ende" liegen.', '"Datum Beendigung des Case Management" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1067, '"datum_cm_ende" muss vor "nbetr_start" liegen.', '"Datum Beendigung des Case Management" darf zeitlich nicht nach "Datum Start der Nachbetreuung" liegen.');
INSERT INTO tags (id, label, description) VALUES (1070, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1071, 'Das Datum darf nicht "unbekannt" sein.', 'Das Datum darf nicht "unbekannt" sein.');
INSERT INTO tags (id, label, description) VALUES (1072, '"nbetr_start" muss vor "nbetr_ende" liegen.', '"Datum Start der Nachbetreuung" darf zeitlich nicht nach "Datum Ende der Nachbetreuung" liegen.');
-- Move tags serial: userdefined tags start at 1000
ALTER SEQUENCE tags_id_seq RESTART 1000;
