BEGIN;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.0.2/03-pwgen.sql', current_timestamp);

CREATE OR REPLACE FUNCTION mpuls_passgen(pw_length int) RETURNS text 
  LANGUAGE 'plpythonu' VOLATILE
  AS $$
    from os import popen
    from random import sample 
    pw = None
    try:
      try:
        pw = popen("/usr/bin/pwgen --secure --ambiguous %s"
                    % pw_length)
        return pw.readline().strip()
      except:
      	pop = [chr(c) for c in range(33,127+1)]
        return "".join(sample(pop, pw_length)) 
    finally:
      if pw:
        try: pw.close()
        except: pass
$$;

ALTER FUNCTION mpuls_passgen(int) OWNER TO mpuls_role_adm;
REVOKE ALL ON FUNCTION mpuls_passgen(int) FROM public;

-- Finish
COMMIT;
