BEGIN;
-- Verbesserung I1201005 Familieneinkommen
-- Einfügen eines neuen Auswahlfeld mit neuer Untertabelle

-- Deactivate the triggers
ALTER TABLE master_tbl DISABLE TRIGGER ALL;
SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('2.0.3/09_einkommen.sql', current_timestamp);

-- Creation of the new table.
CREATE TABLE einkommen_tbl (
    id SERIAL PRIMARY KEY NOT NULL,
    value VARCHAR(47) NOT NULL
);

INSERT INTO einkommen_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO einkommen_tbl (id, value) VALUES (-2, 'Sonstiges');
INSERT INTO einkommen_tbl (id, value) VALUES (-1, 'keine Angabe');
INSERT INTO einkommen_tbl (id, value) VALUES (1, 'Erwerbstätig');
INSERT INTO einkommen_tbl (id, value) VALUES (2, 'Selbstständig');
INSERT INTO einkommen_tbl (id, value) VALUES (3, 'Grundsicherung/Transferleistung');
INSERT INTO einkommen_tbl (id, value) VALUES (4, 'Ausbildungsvergütung');
INSERT INTO einkommen_tbl (id, value) VALUES (5, 'Staatliche Ausbildungsförderung');
INSERT INTO einkommen_tbl (id, value) VALUES (6, 'Stipendium');
INSERT INTO einkommen_tbl (id, value) VALUES (7, 'Unterhaltszahlungen');
INSERT INTO einkommen_tbl (id, value) VALUES (8, 'Erwerbstätig und ergänzende Transferleistungen');
INSERT INTO einkommen_tbl (id, value) VALUES (9, 'Einkommen durch Partner/in');
INSERT INTO einkommen_tbl (id, value) VALUES (10, 'Taschengeld');

GRANT SELECT ON einkommen_tbl TO GROUP :cm_group;
GRANT SELECT ON einkommen_tbl TO GROUP :admin_group;

-- Modify of the master_tbl
ALTER TABLE master_tbl ADD COLUMN einkommen INTEGER DEFAULT -1;
ALTER TABLE master_tbl ADD FOREIGN KEY (einkommen) REFERENCES einkommen_tbl (id);

-- Update the views and rules
DROP VIEW master_tbl_view CASCADE;

CREATE OR REPLACE VIEW master_tbl_view
AS SELECT 
     master_tbl.id AS id,
     master_tbl.uuid_id AS uuid_id,
     master_tbl.bearbeiter_id AS bearbeiter_id,
     master_tbl.einwilligung AS einwilligung,
     master_tbl.phase AS phase,
     master_tbl.fkz AS fkz,
     master_tbl.ks AS ks,
     master_tbl.fn AS fn,
     master_tbl.mitarb_zv AS mitarb_zv,
     master_tbl.mitarb_zn AS mitarb_zn,
     master_tbl.mitarb_vv AS mitarb_vv,
     master_tbl.mitarb_vn AS mitarb_vn,
     master_tbl.name AS name,
     master_tbl.vorname AS vorname,
     master_tbl.geschlecht AS geschlecht,
     master_tbl.geburtsdatum AS geburtsdatum,
     master_tbl.kontakt AS kontakt,
     master_tbl.erstgespraech AS erstgespraech,
     master_tbl.zugang AS zugang,
     master_tbl.zugang_t AS zugang_t,
     master_tbl.cm2c AS cm2c,
     master_tbl.cm_dok_datum_beendigung AS cm_dok_datum_beendigung,
     master_tbl.cm_dok_end_art AS cm_dok_end_art,
     master_tbl.cm_dok_end_verm AS cm_dok_end_verm,
     master_tbl.cm_dok_end_sonst AS cm_dok_end_sonst,
     master_tbl.cm_neuauf_genehm AS cm_neuauf_genehm,
     master_tbl.cm_wiederauf_genehm_1 AS cm_wiederauf_genehm_1,
     master_tbl.cm_wiederauf_genehm_datum_1 AS cm_wiederauf_genehm_datum_1,
     master_tbl.cm_wiederauf_datum_bis_1 AS cm_wiederauf_datum_bis_1,
     master_tbl.cm_wiederauf_genehm_2 AS cm_wiederauf_genehm_2,
     master_tbl.cm_wiederauf_datum_bis_2 AS cm_wiederauf_datum_bis_2,
     master_tbl.cm2c_t AS cm2c_t,
     master_tbl.schulpfl_a AS schulpfl_a,
     master_tbl.schulpfl_b AS schulpfl_b,
     master_tbl.dok_eingang AS dok_eingang,
     master_tbl.datum_cm_start AS datum_cm_start,
     master_tbl.teilnahme_evaluation AS teilnahme_evaluation,
     master_tbl.evaluation_nummer AS evaluation_nummer,
     master_tbl.addresse_strasse_1 AS addresse_strasse_1,
     master_tbl.addresse_strassenr_1 AS addresse_strassenr_1,
     master_tbl.addresse_plz_1 AS addresse_plz_1,
     master_tbl.addresse_ort_1 AS addresse_ort_1,
     master_tbl.addresse1_vorwahl_1 AS addresse1_vorwahl_1,
     master_tbl.addresse1_telefonnummer_1 AS addresse1_telefonnummer_1,
     master_tbl.addresse2_vorwahl_1 AS addresse2_vorwahl_1,
     master_tbl.addresse2_telefonnummer_2 AS addresse2_telefonnummer_2,
     master_tbl.addresse_weiteretelefonnummern_1 AS addresse_weiteretelefonnummern_1,
     master_tbl.addresse_email_1 AS addresse_email_1,
     master_tbl.wohnort AS wohnort,
     master_tbl.wohnauf AS wohnauf,
     master_tbl.wohnauf_t AS wohnauf_t,
     master_tbl.kinder AS kinder,
     master_tbl.kinder_hh AS kinder_hh,
     master_tbl.kinder_allein AS kinder_allein,
     master_tbl.nat_land AS nat_land,
     master_tbl.nat_land_t AS nat_land_t,
     master_tbl.nat_staat AS nat_staat,
     master_tbl.nat_status AS nat_status,
     master_tbl.nat_wohn AS nat_wohn,
     master_tbl.nat_muspra AS nat_muspra,
     master_tbl.nat_muspra_t AS nat_muspra_t,
     master_tbl.nat_haspra AS nat_haspra,
     master_tbl.psorge AS psorge,
     master_tbl.psorge_t AS psorge_t,
     master_tbl.mutter AS mutter,
     master_tbl.mutter_n AS mutter_n,
     master_tbl.mutter_vn AS mutter_vn,
     master_tbl.mutter_gb AS mutter_gb,
     master_tbl.mutter_strasse_1 AS mutter_strasse_1,
     master_tbl.mutter_strassenr_1 AS mutter_strassenr_1,
     master_tbl.mutter_plz_1 AS mutter_plz_1,
     master_tbl.mutter_ort_1 AS mutter_ort_1,
     master_tbl.mutter_vorwahl1_1 AS mutter_vorwahl1_1,
     master_tbl.mutter_telefonnummer1_1 AS mutter_telefonnummer1_1,
     master_tbl.mutter_vorwahl2_1 AS mutter_vorwahl2_1,
     master_tbl.mutter_telefonnummer2_1 AS mutter_telefonnummer2_1,
     master_tbl.mutter_email_1 AS mutter_email_1,
     master_tbl.mutter_land AS mutter_land,
     master_tbl.mutter_land_t AS mutter_land_t,
     master_tbl.mutter_staat AS mutter_staat,
     master_tbl.mutter_spra AS mutter_spra,
     master_tbl.mutter_bildung AS mutter_bildung,
     master_tbl.mutter_bildung_t AS mutter_bildung_t,
     master_tbl.mutter_beruf AS mutter_beruf,
     master_tbl.mutter_sonst AS mutter_sonst,
     master_tbl.vater AS vater,
     master_tbl.vater_n AS vater_n,
     master_tbl.vater_vn AS vater_vn,
     master_tbl.vater_gb AS vater_gb,
     master_tbl.vater_strasse_1 AS vater_strasse_1,
     master_tbl.vater_strassenr_1 AS vater_strassenr_1,
     master_tbl.vater_plz_1 AS vater_plz_1,
     master_tbl.vater_ort_1 AS vater_ort_1,
     master_tbl.vater_vorwahl1_1 AS vater_vorwahl1_1,
     master_tbl.vater_telefonnummer1_1 AS vater_telefonnummer1_1,
     master_tbl.vater_vorwahl2_1 AS vater_vorwahl2_1,
     master_tbl.vater_telefonnummer2_1 AS vater_telefonnummer2_1,
     master_tbl.vater_email_1 AS vater_email_1,
     master_tbl.vater_land AS vater_land,
     master_tbl.vater_land_t AS vater_land_t,
     master_tbl.vater_staat AS vater_staat,
     master_tbl.vater_spra AS vater_spra,
     master_tbl.vater_bildung AS vater_bildung,
     master_tbl.vater_bildung_t AS vater_bildung_t,
     master_tbl.vater_beruf AS vater_beruf,
     master_tbl.vater_sonst AS vater_sonst,
     master_tbl.geschw_vorhanden AS geschw_vorhanden,
     master_tbl.geschw_w AS geschw_w,
     master_tbl.geschw_m AS geschw_m,
     master_tbl.geschw_hh AS geschw_hh,
     master_tbl.geschw_alt_a AS geschw_alt_a,
     master_tbl.geschw_alt_b AS geschw_alt_b,
     master_tbl.geschw_alt_c AS geschw_alt_c,
     master_tbl.geschw_alt_d AS geschw_alt_d,
     master_tbl.einkommen_a AS einkommen_a,
     master_tbl.einkommen_b AS einkommen_b,
     master_tbl.einkommen_c AS einkommen_c,
     master_tbl.einkommen_e AS einkommen_e,
     master_tbl.einkommen_d AS einkommen_d,
     master_tbl.einkommen_d_t AS einkommen_d_t,
     master_tbl.einkommen AS einkommen,
     master_tbl.bezugsperson_a AS bezugsperson_a,
     master_tbl.bezugsperson_b AS bezugsperson_b,
     master_tbl.bezugsperson_c AS bezugsperson_c,
     master_tbl.bezugsperson_d AS bezugsperson_d,
     master_tbl.bezugsperson_e AS bezugsperson_e,
     master_tbl.bezugsperson_f AS bezugsperson_f,
     master_tbl.bezugsperson_g AS bezugsperson_g,
     master_tbl.bezugsperson_h AS bezugsperson_h,
     master_tbl.bezugsperson_i AS bezugsperson_i,
     master_tbl.bezugsperson_j AS bezugsperson_j,
     master_tbl.bezugsperson_k AS bezugsperson_k,
     master_tbl.bezugsperson_l AS bezugsperson_l,
     master_tbl.bezugsperson_m AS bezugsperson_m,
     master_tbl.bezugsperson_n AS bezugsperson_n,
     master_tbl.bezugsperson_o AS bezugsperson_o,
     master_tbl.bezugsperson_p AS bezugsperson_p,
     master_tbl.bezugsperson_q AS bezugsperson_q,
     master_tbl.bezugsperson_r AS bezugsperson_r,
     master_tbl.bezugsperson_r_t AS bezugsperson_r_t,
     master_tbl.zugeh_a AS zugeh_a,
     master_tbl.zugeh_b AS zugeh_b,
     master_tbl.zugeh_c AS zugeh_c,
     master_tbl.zugeh_d AS zugeh_d,
     master_tbl.dok_angaben AS dok_angaben,
     master_tbl.schulform AS schulform,
     master_tbl.schulform_t AS schulform_t,
     master_tbl.klassenstufe AS klassenstufe,
     master_tbl.klassenwdh AS klassenwdh,
     master_tbl.sinteresse_a AS sinteresse_a,
     master_tbl.sinteresse_b AS sinteresse_b,
     master_tbl.leistung_ges AS leistung_ges,
     master_tbl.leistung_d AS leistung_d,
     master_tbl.leistung_m AS leistung_m,
     master_tbl.leistung_fs AS leistung_fs,
     master_tbl.sv_aktiv AS sv_aktiv,
     master_tbl.sv_passiv AS sv_passiv,
     master_tbl.sv_a AS sv_a,
     master_tbl.sv_b AS sv_b,
     master_tbl.sv_c AS sv_c,
     master_tbl.sv_d AS sv_d,
     master_tbl.sv_e AS sv_e,
     master_tbl.sv_f AS sv_f,
     master_tbl.sv_g AS sv_g,
     master_tbl.sv_g_t AS sv_g_t,
     master_tbl.fehltg_sj AS fehltg_sj,
     master_tbl.fehltg_sj_ue AS fehltg_sj_ue,
     master_tbl.fehltg_m AS fehltg_m,
     master_tbl.fehltg_m_ue AS fehltg_m_ue,
     master_tbl.fehlst_sj AS fehlst_sj,
     master_tbl.fehlst_sj_ue AS fehlst_sj_ue,
     master_tbl.fehlst_m AS fehlst_m,
     master_tbl.fehlst_m_ue AS fehlst_m_ue,
     master_tbl.sv_monate AS sv_monate,
     master_tbl.abschl_gef AS abschl_gef,
     master_tbl.abschl_pr AS abschl_pr,
     master_tbl.ordmn AS ordmn,
     master_tbl.ekomp_a AS ekomp_a,
     master_tbl.ekomp_b AS ekomp_b,
     master_tbl.ekomp_c AS ekomp_c,
     master_tbl.ekomp_d AS ekomp_d,
     master_tbl.ekomp_e AS ekomp_e,
     master_tbl.ekomp_f AS ekomp_f,
     master_tbl.ekomp_g AS ekomp_g,
     master_tbl.ekomp_h AS ekomp_h,
     master_tbl.ekomp_i AS ekomp_i,
     master_tbl.ekomp_i_t AS ekomp_i_t,
     master_tbl.problfam_a AS problfam_a,
     master_tbl.problfam_b AS problfam_b,
     master_tbl.problfam_c AS problfam_c,
     master_tbl.problfam_d AS problfam_d,
     master_tbl.problfam_e AS problfam_e,
     master_tbl.problfam_f AS problfam_f,
     master_tbl.problfam_g AS problfam_g,
     master_tbl.problfam_h AS problfam_h,
     master_tbl.problfam_i AS problfam_i,
     master_tbl.problfam_j AS problfam_j,
     master_tbl.problfam_k AS problfam_k,
     master_tbl.problfam_l AS problfam_l,
     master_tbl.problfam_m AS problfam_m,
     master_tbl.problfam_m_t AS problfam_m_t,
     master_tbl.familie_anm AS familie_anm,
     master_tbl.uleistung_beginn AS uleistung_beginn,
     master_tbl.uleistung_beginn_a AS uleistung_beginn_a,
     master_tbl.uleistung_beginn_b AS uleistung_beginn_b,
     master_tbl.uleistung_beginn_c AS uleistung_beginn_c,
     master_tbl.uleistung_beginn_d AS uleistung_beginn_d,
     master_tbl.uleistung_beginn_e AS uleistung_beginn_e,
     master_tbl.uleistung_beginn_f AS uleistung_beginn_f,
     master_tbl.uleistung_beginn_g AS uleistung_beginn_g,
     master_tbl.uleistung_beginn_h AS uleistung_beginn_h,
     master_tbl.uleistung_beginn_i AS uleistung_beginn_i,
     master_tbl.uleistung_beginn_j AS uleistung_beginn_j,
     master_tbl.uleistung_beginn_j_t AS uleistung_beginn_j_t,
     master_tbl.uleistung_verg AS uleistung_verg,
     master_tbl.uleistung_anm AS uleistung_anm,
     master_tbl.dok_biograf AS dok_biograf,
     master_tbl.datum_kf_1 AS datum_kf_1,
     master_tbl.kf_verfahren_1 AS kf_verfahren_1,
     master_tbl.kf_anbiet_1 AS kf_anbiet_1,
     master_tbl.kf_meth_a_1 AS kf_meth_a_1,
     master_tbl.kf_meth_b_1 AS kf_meth_b_1,
     master_tbl.kf_meth_d_1 AS kf_meth_d_1,
     master_tbl.kf_meth_e_1 AS kf_meth_e_1,
     master_tbl.kf_meth_f_1 AS kf_meth_f_1,
     master_tbl.kf_meth_f_t_1 AS kf_meth_f_t_1,
     master_tbl.kf_test_a_1 AS kf_test_a_1,
     master_tbl.kf_test_a_t_1 AS kf_test_a_t_1,
     master_tbl.kf_test_b_1 AS kf_test_b_1,
     master_tbl.kf_test_b_t_1 AS kf_test_b_t_1,
     master_tbl.kf_test_c_1 AS kf_test_c_1,
     master_tbl.kf_test_c_t_1 AS kf_test_c_t_1,
     master_tbl.kf_test_d_1 AS kf_test_d_1,
     master_tbl.kf_test_d_t_1 AS kf_test_d_t_1,
     master_tbl.komp_schule_a_1 AS komp_schule_a_1,
     master_tbl.komp_schule_b_1 AS komp_schule_b_1,
     master_tbl.komp_schule_c_1 AS komp_schule_c_1,
     master_tbl.komp_schule_d_1 AS komp_schule_d_1,
     master_tbl.komp_schule_e_1 AS komp_schule_e_1,
     master_tbl.komp_schule_f_1 AS komp_schule_f_1,
     master_tbl.komp_schule_g_1 AS komp_schule_g_1,
     master_tbl.komp_schule_g_t_1 AS komp_schule_g_t_1,
     master_tbl.komp_deutsch_a_1 AS komp_deutsch_a_1,
     master_tbl.komp_deutsch_b_1 AS komp_deutsch_b_1,
     master_tbl.komp_deutsch_c_1 AS komp_deutsch_c_1,
     master_tbl.komp_deutsch_d_1 AS komp_deutsch_d_1,
     master_tbl.komp_herkunft_1 AS komp_herkunft_1,
     master_tbl.komp_sozial_a_1 AS komp_sozial_a_1,
     master_tbl.komp_sozial_b_1 AS komp_sozial_b_1,
     master_tbl.komp_sozial_c_1 AS komp_sozial_c_1,
     master_tbl.komp_sozial_d_1 AS komp_sozial_d_1,
     master_tbl.komp_sozial_e_1 AS komp_sozial_e_1,
     master_tbl.komp_sozial_f_1 AS komp_sozial_f_1,
     master_tbl.komp_sozial_g_1 AS komp_sozial_g_1,
     master_tbl.komp_sozial_g_t_1 AS komp_sozial_g_t_1,
     master_tbl.komp_selbst_a_1 AS komp_selbst_a_1,
     master_tbl.komp_selbst_b_1 AS komp_selbst_b_1,
     master_tbl.komp_selbst_c_1 AS komp_selbst_c_1,
     master_tbl.komp_selbst_d_1 AS komp_selbst_d_1,
     master_tbl.komp_selbst_e_1 AS komp_selbst_e_1,
     master_tbl.komp_selbst_f_1 AS komp_selbst_f_1,
     master_tbl.komp_selbst_g_1 AS komp_selbst_g_1,
     master_tbl.komp_selbst_g_t_1 AS komp_selbst_g_t_1,
     master_tbl.komp_psy_a_1 AS komp_psy_a_1,
     master_tbl.komp_psy_b_1 AS komp_psy_b_1,
     master_tbl.komp_psy_c_1 AS komp_psy_c_1,
     master_tbl.komp_psy_d_1 AS komp_psy_d_1,
     master_tbl.komp_psy_e_1 AS komp_psy_e_1,
     master_tbl.komp_psy_f_1 AS komp_psy_f_1,
     master_tbl.komp_psy_g_1 AS komp_psy_g_1,
     master_tbl.komp_psy_g_t_1 AS komp_psy_g_t_1,
     master_tbl.komp_anm AS komp_anm,
     master_tbl.entw_a_1 AS entw_a_1,
     master_tbl.entw_b_1 AS entw_b_1,
     master_tbl.entw_c_1 AS entw_c_1,
     master_tbl.entw_d_1 AS entw_d_1,
     master_tbl.entw_e_1 AS entw_e_1,
     master_tbl.entw_f_1 AS entw_f_1,
     master_tbl.entw_g_1 AS entw_g_1,
     master_tbl.entw_h_1 AS entw_h_1,
     master_tbl.entw_h_t_1 AS entw_h_t_1,
     master_tbl.entw_i_1 AS entw_i_1,
     master_tbl.entw_i_t_1 AS entw_i_t_1,
     master_tbl.entw_j_1 AS entw_j_1,
     master_tbl.entw_j_t_1 AS entw_j_t_1,
     master_tbl.entw_k_1 AS entw_k_1,
     master_tbl.entw_k_t_1 AS entw_k_t_1,
     master_tbl.entw_beh AS entw_beh,
     master_tbl.dok_entw AS dok_entw,
     master_tbl.datum_bfplan AS datum_bfplan,
     master_tbl.beschul_a AS beschul_a,
     master_tbl.beschul_b AS beschul_b,
     master_tbl.beschul_c AS beschul_c,
     master_tbl.beschul_d AS beschul_d,
     master_tbl.beschul_e AS beschul_e,
     master_tbl.beschul_i AS beschul_i,
     master_tbl.beschul_f AS beschul_f,
     master_tbl.beschul_h AS beschul_h,
     master_tbl.beschul_h_t AS beschul_h_t,
     master_tbl.reint_ziel AS reint_ziel,
     master_tbl.reint_ziel_t AS reint_ziel_t,
     master_tbl.reint_beding_a AS reint_beding_a,
     master_tbl.reint_beding_b AS reint_beding_b,
     master_tbl.reint_beding_c AS reint_beding_c,
     master_tbl.reint_beding_d_t AS reint_beding_d_t,
     master_tbl.reint_beding_d AS reint_beding_d,
     master_tbl.zielcm_schul_a AS zielcm_schul_a,
     master_tbl.zielcm_schul_b AS zielcm_schul_b,
     master_tbl.zielcm_schul_c AS zielcm_schul_c,
     master_tbl.zielcm_schul_d AS zielcm_schul_d,
     master_tbl.zielcm_schul_e AS zielcm_schul_e,
     master_tbl.zielcm_schul_f AS zielcm_schul_f,
     master_tbl.zielcm_schul_g AS zielcm_schul_g,
     master_tbl.zielcm_schul_h AS zielcm_schul_h,
     master_tbl.zielcm_schul_h_t AS zielcm_schul_h_t,
     master_tbl.zielcm_sozial_a AS zielcm_sozial_a,
     master_tbl.zielcm_sozial_b AS zielcm_sozial_b,
     master_tbl.zielcm_sozial_c AS zielcm_sozial_c,
     master_tbl.zielcm_sozial_d AS zielcm_sozial_d,
     master_tbl.zielcm_sozial_e AS zielcm_sozial_e,
     master_tbl.zielcm_sozial_f AS zielcm_sozial_f,
     master_tbl.zielcm_sozial_g AS zielcm_sozial_g,
     master_tbl.zielcm_sozial_h AS zielcm_sozial_h,
     master_tbl.zielcm_sozial_h_t AS zielcm_sozial_h_t,
     master_tbl.hilfm_weitere AS hilfm_weitere,
     master_tbl.elt_koop AS elt_koop,
     master_tbl.elt_mn_a AS elt_mn_a,
     master_tbl.elt_mn_b AS elt_mn_b,
     master_tbl.elt_mn_c AS elt_mn_c,
     master_tbl.elt_mn_d AS elt_mn_d,
     master_tbl.elt_mn_e AS elt_mn_e,
     master_tbl.elt_mn_f AS elt_mn_f,
     master_tbl.elt_mn_g AS elt_mn_g,
     master_tbl.elt_mn_h AS elt_mn_h,
     master_tbl.elt_mn_i AS elt_mn_i,
     master_tbl.elt_mn_j AS elt_mn_j,
     master_tbl.elt_mn_j_t AS elt_mn_j_t,
     master_tbl.dok_cm AS dok_cm,
     master_tbl.cm_datum_verlaengerung_1 AS cm_datum_verlaengerung_1,
     master_tbl.cm_bestaet_verlaengerung_1 AS cm_bestaet_verlaengerung_1,
     master_tbl.cm_anmerk_verlaengerung_1 AS cm_anmerk_verlaengerung_1,
     master_tbl.cm_datum_verlaengerung_2 AS cm_datum_verlaengerung_2,
     master_tbl.cm_bestaet_verlaengerung_2 AS cm_bestaet_verlaengerung_2,
     master_tbl.cm_anmerk_verlaengerung_2 AS cm_anmerk_verlaengerung_2,
     master_tbl.datum_cm_ende AS datum_cm_ende,
     master_tbl.cm_kontakt AS cm_kontakt,
     master_tbl.cm_kontakt_sonstige AS cm_kontakt_sonstige,
     master_tbl.cm_kontakt_sonstige_t AS cm_kontakt_sonstige_t,
     master_tbl.beschul_end_a AS beschul_end_a,
     master_tbl.beschul_end_b AS beschul_end_b,
     master_tbl.beschul_end_c AS beschul_end_c,
     master_tbl.beschul_end_d AS beschul_end_d,
     master_tbl.beschul_end_e AS beschul_end_e,
     master_tbl.beschul_end_f AS beschul_end_f,
     master_tbl.beschul_end_h AS beschul_end_h,
     master_tbl.beschul_end_h_t AS beschul_end_h_t,
     master_tbl.uleistung_ende AS uleistung_ende,
     master_tbl.uleistung_ende_a AS uleistung_ende_a,
     master_tbl.uleistung_ende_b AS uleistung_ende_b,
     master_tbl.uleistung_ende_c AS uleistung_ende_c,
     master_tbl.uleistung_ende_d AS uleistung_ende_d,
     master_tbl.uleistung_ende_e AS uleistung_ende_e,
     master_tbl.uleistung_ende_f AS uleistung_ende_f,
     master_tbl.uleistung_ende_g AS uleistung_ende_g,
     master_tbl.uleistung_ende_h AS uleistung_ende_h,
     master_tbl.uleistung_ende_i AS uleistung_ende_i,
     master_tbl.uleistung_ende_j AS uleistung_ende_j,
     master_tbl.uleistung_ende_j_t AS uleistung_ende_j_t,
     master_tbl.cm_end_art AS cm_end_art,
     master_tbl.cm_end_verm AS cm_end_verm,
     master_tbl.cm_end_verm_t AS cm_end_verm_t,
     master_tbl.cm_end_schul AS cm_end_schul,
     master_tbl.cm_end_schul_t AS cm_end_schul_t,
     master_tbl.cm_end_jg AS cm_end_jg,
     master_tbl.cm_schule_name AS cm_schule_name,
     master_tbl.cm_schule_strasse AS cm_schule_strasse,
     master_tbl.cm_schule_strassenr AS cm_schule_strassenr,
     master_tbl.cm_schule_plz AS cm_schule_plz,
     master_tbl.cm_schule_ort AS cm_schule_ort,
     master_tbl.cm_schule_person_1 AS cm_schule_person_1,
     master_tbl.cm_schule_person_2 AS cm_schule_person_2,
     master_tbl.nbtr AS nbtr,
     master_tbl.cm_end_sonst AS cm_end_sonst,
     master_tbl.cm_end_sonst_t AS cm_end_sonst_t,
     master_tbl.cm_end_ab AS cm_end_ab,
     master_tbl.cm_end_abgr AS cm_end_abgr,
     master_tbl.cm_end_abgr_t AS cm_end_abgr_t,
     master_tbl.cm_ziel AS cm_ziel,
     master_tbl.cm_schulbes_1 AS cm_schulbes_1,
     master_tbl.cm_schulbes_2 AS cm_schulbes_2,
     master_tbl.cm_zielsch_a AS cm_zielsch_a,
     master_tbl.cm_zielsch_b AS cm_zielsch_b,
     master_tbl.cm_zielsch_c AS cm_zielsch_c,
     master_tbl.cm_zielsch_d AS cm_zielsch_d,
     master_tbl.cm_zielsch_e AS cm_zielsch_e,
     master_tbl.cm_zielsch_f AS cm_zielsch_f,
     master_tbl.cm_zielsch_g AS cm_zielsch_g,
     master_tbl.cm_zielsch_h AS cm_zielsch_h,
     master_tbl.cm_zielsch_h_t AS cm_zielsch_h_t,
     master_tbl.cm_zielsoz_a AS cm_zielsoz_a,
     master_tbl.cm_zielsoz_b AS cm_zielsoz_b,
     master_tbl.cm_zielsoz_c AS cm_zielsoz_c,
     master_tbl.cm_zielsoz_d AS cm_zielsoz_d,
     master_tbl.cm_zielsoz_e AS cm_zielsoz_e,
     master_tbl.cm_zielsoz_f AS cm_zielsoz_f,
     master_tbl.cm_zielsoz_g AS cm_zielsoz_g,
     master_tbl.cm_zielsoz_h AS cm_zielsoz_h,
     master_tbl.cm_zielsoz_h_t AS cm_zielsoz_h_t,
     master_tbl.dok_ziel AS dok_ziel,
     master_tbl.dok_abschl AS dok_abschl,
     master_tbl.nbetr_start AS nbetr_start,
     master_tbl.nbetr_ende AS nbetr_ende,
     master_tbl.nbetr_mn AS nbetr_mn,
     master_tbl.nbetr_verbl AS nbetr_verbl,
     master_tbl.nbetr_verbl_t AS nbetr_verbl_t,
     master_tbl.dokumentation_nachbetreuung AS dokumentation_nachbetreuung
FROM master_tbl
WHERE
    master_tbl.bearbeiter_id = getuserid()
    OR master_tbl.id IN (
        SELECT nm.master_id from nm_benutzer_master_tbl nm
        WHERE nm.benutzer_id IN (
            SELECT nm2.gruppe_id from nm_benutzer_gruppe_tbl nm2
            WHERE nm2.benutzer_id = getuserid()
        )
    )
    OR pg_has_role('admin','MEMBER');

CREATE OR REPLACE RULE master_tbl_update_rule AS ON UPDATE TO master_tbl_view
DO INSTEAD UPDATE master_tbl SET
    einwilligung = NEW.einwilligung,
    phase = NEW.phase,
    fkz = NEW.fkz,
    ks = NEW.ks,
    fn = NEW.fn,
    mitarb_zv = NEW.mitarb_zv,
    mitarb_zn = NEW.mitarb_zn,
    mitarb_vv = NEW.mitarb_vv,
    mitarb_vn = NEW.mitarb_vn,
    name = NEW.name,
    vorname = NEW.vorname,
    geschlecht = NEW.geschlecht,
    geburtsdatum = NEW.geburtsdatum,
    kontakt = NEW.kontakt,
    erstgespraech = NEW.erstgespraech,
    zugang = NEW.zugang,
    zugang_t = NEW.zugang_t,
    cm2c = NEW.cm2c,
    cm_dok_datum_beendigung = NEW.cm_dok_datum_beendigung,
    cm_dok_end_art = NEW.cm_dok_end_art,
    cm_dok_end_verm = NEW.cm_dok_end_verm,
    cm_dok_end_sonst = NEW.cm_dok_end_sonst,
    cm_neuauf_genehm = NEW.cm_neuauf_genehm,
    cm_wiederauf_genehm_1 = NEW.cm_wiederauf_genehm_1,
    cm_wiederauf_genehm_datum_1 = NEW.cm_wiederauf_genehm_datum_1,
    cm_wiederauf_datum_bis_1 = NEW.cm_wiederauf_datum_bis_1,
    cm_wiederauf_genehm_2 = NEW.cm_wiederauf_genehm_2,
    cm_wiederauf_datum_bis_2 = NEW.cm_wiederauf_datum_bis_2,
    cm2c_t = NEW.cm2c_t,
    schulpfl_a = NEW.schulpfl_a,
    schulpfl_b = NEW.schulpfl_b,
    dok_eingang = NEW.dok_eingang,
    datum_cm_start = NEW.datum_cm_start,
    teilnahme_evaluation = NEW.teilnahme_evaluation,
    evaluation_nummer = NEW.evaluation_nummer,
    addresse_strasse_1 = NEW.addresse_strasse_1,
    addresse_strassenr_1 = NEW.addresse_strassenr_1,
    addresse_plz_1 = NEW.addresse_plz_1,
    addresse_ort_1 = NEW.addresse_ort_1,
    addresse1_vorwahl_1 = NEW.addresse1_vorwahl_1,
    addresse1_telefonnummer_1 = NEW.addresse1_telefonnummer_1,
    addresse2_vorwahl_1 = NEW.addresse2_vorwahl_1,
    addresse2_telefonnummer_2 = NEW.addresse2_telefonnummer_2,
    addresse_weiteretelefonnummern_1 = NEW.addresse_weiteretelefonnummern_1,
    addresse_email_1 = NEW.addresse_email_1,
    wohnort = NEW.wohnort,
    wohnauf = NEW.wohnauf,
    wohnauf_t = NEW.wohnauf_t,
    kinder = NEW.kinder,
    kinder_hh = NEW.kinder_hh,
    kinder_allein = NEW.kinder_allein,
    nat_land = NEW.nat_land,
    nat_land_t = NEW.nat_land_t,
    nat_staat = NEW.nat_staat,
    nat_status = NEW.nat_status,
    nat_wohn = NEW.nat_wohn,
    nat_muspra = NEW.nat_muspra,
    nat_muspra_t = NEW.nat_muspra_t,
    nat_haspra = NEW.nat_haspra,
    psorge = NEW.psorge,
    psorge_t = NEW.psorge_t,
    mutter = NEW.mutter,
    mutter_n = NEW.mutter_n,
    mutter_vn = NEW.mutter_vn,
    mutter_gb = NEW.mutter_gb,
    mutter_strasse_1 = NEW.mutter_strasse_1,
    mutter_strassenr_1 = NEW.mutter_strassenr_1,
    mutter_plz_1 = NEW.mutter_plz_1,
    mutter_ort_1 = NEW.mutter_ort_1,
    mutter_vorwahl1_1 = NEW.mutter_vorwahl1_1,
    mutter_telefonnummer1_1 = NEW.mutter_telefonnummer1_1,
    mutter_vorwahl2_1 = NEW.mutter_vorwahl2_1,
    mutter_telefonnummer2_1 = NEW.mutter_telefonnummer2_1,
    mutter_email_1 = NEW.mutter_email_1,
    mutter_land = NEW.mutter_land,
    mutter_land_t = NEW.mutter_land_t,
    mutter_staat = NEW.mutter_staat,
    mutter_spra = NEW.mutter_spra,
    mutter_bildung = NEW.mutter_bildung,
    mutter_bildung_t = NEW.mutter_bildung_t,
    mutter_beruf = NEW.mutter_beruf,
    mutter_sonst = NEW.mutter_sonst,
    vater = NEW.vater,
    vater_n = NEW.vater_n,
    vater_vn = NEW.vater_vn,
    vater_gb = NEW.vater_gb,
    vater_strasse_1 = NEW.vater_strasse_1,
    vater_strassenr_1 = NEW.vater_strassenr_1,
    vater_plz_1 = NEW.vater_plz_1,
    vater_ort_1 = NEW.vater_ort_1,
    vater_vorwahl1_1 = NEW.vater_vorwahl1_1,
    vater_telefonnummer1_1 = NEW.vater_telefonnummer1_1,
    vater_vorwahl2_1 = NEW.vater_vorwahl2_1,
    vater_telefonnummer2_1 = NEW.vater_telefonnummer2_1,
    vater_email_1 = NEW.vater_email_1,
    vater_land = NEW.vater_land,
    vater_land_t = NEW.vater_land_t,
    vater_staat = NEW.vater_staat,
    vater_spra = NEW.vater_spra,
    vater_bildung = NEW.vater_bildung,
    vater_bildung_t = NEW.vater_bildung_t,
    vater_beruf = NEW.vater_beruf,
    vater_sonst = NEW.vater_sonst,
    geschw_vorhanden = NEW.geschw_vorhanden,
    geschw_w = NEW.geschw_w,
    geschw_m = NEW.geschw_m,
    geschw_hh = NEW.geschw_hh,
    geschw_alt_a = NEW.geschw_alt_a,
    geschw_alt_b = NEW.geschw_alt_b,
    geschw_alt_c = NEW.geschw_alt_c,
    geschw_alt_d = NEW.geschw_alt_d,
    einkommen_a = NEW.einkommen_a,
    einkommen_b = NEW.einkommen_b,
    einkommen_c = NEW.einkommen_c,
    einkommen_e = NEW.einkommen_e,
    einkommen_d = NEW.einkommen_d,
    einkommen_d_t = NEW.einkommen_d_t,
    einkommen = NEW.einkommen,
    bezugsperson_a = NEW.bezugsperson_a,
    bezugsperson_b = NEW.bezugsperson_b,
    bezugsperson_c = NEW.bezugsperson_c,
    bezugsperson_d = NEW.bezugsperson_d,
    bezugsperson_e = NEW.bezugsperson_e,
    bezugsperson_f = NEW.bezugsperson_f,
    bezugsperson_g = NEW.bezugsperson_g,
    bezugsperson_h = NEW.bezugsperson_h,
    bezugsperson_i = NEW.bezugsperson_i,
    bezugsperson_j = NEW.bezugsperson_j,
    bezugsperson_k = NEW.bezugsperson_k,
    bezugsperson_l = NEW.bezugsperson_l,
    bezugsperson_m = NEW.bezugsperson_m,
    bezugsperson_n = NEW.bezugsperson_n,
    bezugsperson_o = NEW.bezugsperson_o,
    bezugsperson_p = NEW.bezugsperson_p,
    bezugsperson_q = NEW.bezugsperson_q,
    bezugsperson_r = NEW.bezugsperson_r,
    bezugsperson_r_t = NEW.bezugsperson_r_t,
    zugeh_a = NEW.zugeh_a,
    zugeh_b = NEW.zugeh_b,
    zugeh_c = NEW.zugeh_c,
    zugeh_d = NEW.zugeh_d,
    dok_angaben = NEW.dok_angaben,
    schulform = NEW.schulform,
    schulform_t = NEW.schulform_t,
    klassenstufe = NEW.klassenstufe,
    klassenwdh = NEW.klassenwdh,
    sinteresse_a = NEW.sinteresse_a,
    sinteresse_b = NEW.sinteresse_b,
    leistung_ges = NEW.leistung_ges,
    leistung_d = NEW.leistung_d,
    leistung_m = NEW.leistung_m,
    leistung_fs = NEW.leistung_fs,
    sv_aktiv = NEW.sv_aktiv,
    sv_passiv = NEW.sv_passiv,
    sv_a = NEW.sv_a,
    sv_b = NEW.sv_b,
    sv_c = NEW.sv_c,
    sv_d = NEW.sv_d,
    sv_e = NEW.sv_e,
    sv_f = NEW.sv_f,
    sv_g = NEW.sv_g,
    sv_g_t = NEW.sv_g_t,
    fehltg_sj = NEW.fehltg_sj,
    fehltg_sj_ue = NEW.fehltg_sj_ue,
    fehltg_m = NEW.fehltg_m,
    fehltg_m_ue = NEW.fehltg_m_ue,
    fehlst_sj = NEW.fehlst_sj,
    fehlst_sj_ue = NEW.fehlst_sj_ue,
    fehlst_m = NEW.fehlst_m,
    fehlst_m_ue = NEW.fehlst_m_ue,
    sv_monate = NEW.sv_monate,
    abschl_gef = NEW.abschl_gef,
    abschl_pr = NEW.abschl_pr,
    ordmn = NEW.ordmn,
    ekomp_a = NEW.ekomp_a,
    ekomp_b = NEW.ekomp_b,
    ekomp_c = NEW.ekomp_c,
    ekomp_d = NEW.ekomp_d,
    ekomp_e = NEW.ekomp_e,
    ekomp_f = NEW.ekomp_f,
    ekomp_g = NEW.ekomp_g,
    ekomp_h = NEW.ekomp_h,
    ekomp_i = NEW.ekomp_i,
    ekomp_i_t = NEW.ekomp_i_t,
    problfam_a = NEW.problfam_a,
    problfam_b = NEW.problfam_b,
    problfam_c = NEW.problfam_c,
    problfam_d = NEW.problfam_d,
    problfam_e = NEW.problfam_e,
    problfam_f = NEW.problfam_f,
    problfam_g = NEW.problfam_g,
    problfam_h = NEW.problfam_h,
    problfam_i = NEW.problfam_i,
    problfam_j = NEW.problfam_j,
    problfam_k = NEW.problfam_k,
    problfam_l = NEW.problfam_l,
    problfam_m = NEW.problfam_m,
    problfam_m_t = NEW.problfam_m_t,
    familie_anm = NEW.familie_anm,
    uleistung_beginn = NEW.uleistung_beginn,
    uleistung_beginn_a = NEW.uleistung_beginn_a,
    uleistung_beginn_b = NEW.uleistung_beginn_b,
    uleistung_beginn_c = NEW.uleistung_beginn_c,
    uleistung_beginn_d = NEW.uleistung_beginn_d,
    uleistung_beginn_e = NEW.uleistung_beginn_e,
    uleistung_beginn_f = NEW.uleistung_beginn_f,
    uleistung_beginn_g = NEW.uleistung_beginn_g,
    uleistung_beginn_h = NEW.uleistung_beginn_h,
    uleistung_beginn_i = NEW.uleistung_beginn_i,
    uleistung_beginn_j = NEW.uleistung_beginn_j,
    uleistung_beginn_j_t = NEW.uleistung_beginn_j_t,
    uleistung_verg = NEW.uleistung_verg,
    uleistung_anm = NEW.uleistung_anm,
    dok_biograf = NEW.dok_biograf,
    datum_kf_1 = NEW.datum_kf_1,
    kf_verfahren_1 = NEW.kf_verfahren_1,
    kf_anbiet_1 = NEW.kf_anbiet_1,
    kf_meth_a_1 = NEW.kf_meth_a_1,
    kf_meth_b_1 = NEW.kf_meth_b_1,
    kf_meth_d_1 = NEW.kf_meth_d_1,
    kf_meth_e_1 = NEW.kf_meth_e_1,
    kf_meth_f_1 = NEW.kf_meth_f_1,
    kf_meth_f_t_1 = NEW.kf_meth_f_t_1,
    kf_test_a_1 = NEW.kf_test_a_1,
    kf_test_a_t_1 = NEW.kf_test_a_t_1,
    kf_test_b_1 = NEW.kf_test_b_1,
    kf_test_b_t_1 = NEW.kf_test_b_t_1,
    kf_test_c_1 = NEW.kf_test_c_1,
    kf_test_c_t_1 = NEW.kf_test_c_t_1,
    kf_test_d_1 = NEW.kf_test_d_1,
    kf_test_d_t_1 = NEW.kf_test_d_t_1,
    komp_schule_a_1 = NEW.komp_schule_a_1,
    komp_schule_b_1 = NEW.komp_schule_b_1,
    komp_schule_c_1 = NEW.komp_schule_c_1,
    komp_schule_d_1 = NEW.komp_schule_d_1,
    komp_schule_e_1 = NEW.komp_schule_e_1,
    komp_schule_f_1 = NEW.komp_schule_f_1,
    komp_schule_g_1 = NEW.komp_schule_g_1,
    komp_schule_g_t_1 = NEW.komp_schule_g_t_1,
    komp_deutsch_a_1 = NEW.komp_deutsch_a_1,
    komp_deutsch_b_1 = NEW.komp_deutsch_b_1,
    komp_deutsch_c_1 = NEW.komp_deutsch_c_1,
    komp_deutsch_d_1 = NEW.komp_deutsch_d_1,
    komp_herkunft_1 = NEW.komp_herkunft_1,
    komp_sozial_a_1 = NEW.komp_sozial_a_1,
    komp_sozial_b_1 = NEW.komp_sozial_b_1,
    komp_sozial_c_1 = NEW.komp_sozial_c_1,
    komp_sozial_d_1 = NEW.komp_sozial_d_1,
    komp_sozial_e_1 = NEW.komp_sozial_e_1,
    komp_sozial_f_1 = NEW.komp_sozial_f_1,
    komp_sozial_g_1 = NEW.komp_sozial_g_1,
    komp_sozial_g_t_1 = NEW.komp_sozial_g_t_1,
    komp_selbst_a_1 = NEW.komp_selbst_a_1,
    komp_selbst_b_1 = NEW.komp_selbst_b_1,
    komp_selbst_c_1 = NEW.komp_selbst_c_1,
    komp_selbst_d_1 = NEW.komp_selbst_d_1,
    komp_selbst_e_1 = NEW.komp_selbst_e_1,
    komp_selbst_f_1 = NEW.komp_selbst_f_1,
    komp_selbst_g_1 = NEW.komp_selbst_g_1,
    komp_selbst_g_t_1 = NEW.komp_selbst_g_t_1,
    komp_psy_a_1 = NEW.komp_psy_a_1,
    komp_psy_b_1 = NEW.komp_psy_b_1,
    komp_psy_c_1 = NEW.komp_psy_c_1,
    komp_psy_d_1 = NEW.komp_psy_d_1,
    komp_psy_e_1 = NEW.komp_psy_e_1,
    komp_psy_f_1 = NEW.komp_psy_f_1,
    komp_psy_g_1 = NEW.komp_psy_g_1,
    komp_psy_g_t_1 = NEW.komp_psy_g_t_1,
    komp_anm = NEW.komp_anm,
    entw_a_1 = NEW.entw_a_1,
    entw_b_1 = NEW.entw_b_1,
    entw_c_1 = NEW.entw_c_1,
    entw_d_1 = NEW.entw_d_1,
    entw_e_1 = NEW.entw_e_1,
    entw_f_1 = NEW.entw_f_1,
    entw_g_1 = NEW.entw_g_1,
    entw_h_1 = NEW.entw_h_1,
    entw_h_t_1 = NEW.entw_h_t_1,
    entw_i_1 = NEW.entw_i_1,
    entw_i_t_1 = NEW.entw_i_t_1,
    entw_j_1 = NEW.entw_j_1,
    entw_j_t_1 = NEW.entw_j_t_1,
    entw_k_1 = NEW.entw_k_1,
    entw_k_t_1 = NEW.entw_k_t_1,
    entw_beh = NEW.entw_beh,
    dok_entw = NEW.dok_entw,
    datum_bfplan = NEW.datum_bfplan,
    beschul_a = NEW.beschul_a,
    beschul_b = NEW.beschul_b,
    beschul_c = NEW.beschul_c,
    beschul_d = NEW.beschul_d,
    beschul_e = NEW.beschul_e,
    beschul_i = NEW.beschul_i,
    beschul_f = NEW.beschul_f,
    beschul_h = NEW.beschul_h,
    beschul_h_t = NEW.beschul_h_t,
    reint_ziel = NEW.reint_ziel,
    reint_ziel_t = NEW.reint_ziel_t,
    reint_beding_a = NEW.reint_beding_a,
    reint_beding_b = NEW.reint_beding_b,
    reint_beding_c = NEW.reint_beding_c,
    reint_beding_d_t = NEW.reint_beding_d_t,
    reint_beding_d = NEW.reint_beding_d,
    zielcm_schul_a = NEW.zielcm_schul_a,
    zielcm_schul_b = NEW.zielcm_schul_b,
    zielcm_schul_c = NEW.zielcm_schul_c,
    zielcm_schul_d = NEW.zielcm_schul_d,
    zielcm_schul_e = NEW.zielcm_schul_e,
    zielcm_schul_f = NEW.zielcm_schul_f,
    zielcm_schul_g = NEW.zielcm_schul_g,
    zielcm_schul_h = NEW.zielcm_schul_h,
    zielcm_schul_h_t = NEW.zielcm_schul_h_t,
    zielcm_sozial_a = NEW.zielcm_sozial_a,
    zielcm_sozial_b = NEW.zielcm_sozial_b,
    zielcm_sozial_c = NEW.zielcm_sozial_c,
    zielcm_sozial_d = NEW.zielcm_sozial_d,
    zielcm_sozial_e = NEW.zielcm_sozial_e,
    zielcm_sozial_f = NEW.zielcm_sozial_f,
    zielcm_sozial_g = NEW.zielcm_sozial_g,
    zielcm_sozial_h = NEW.zielcm_sozial_h,
    zielcm_sozial_h_t = NEW.zielcm_sozial_h_t,
    hilfm_weitere = NEW.hilfm_weitere,
    elt_koop = NEW.elt_koop,
    elt_mn_a = NEW.elt_mn_a,
    elt_mn_b = NEW.elt_mn_b,
    elt_mn_c = NEW.elt_mn_c,
    elt_mn_d = NEW.elt_mn_d,
    elt_mn_e = NEW.elt_mn_e,
    elt_mn_f = NEW.elt_mn_f,
    elt_mn_g = NEW.elt_mn_g,
    elt_mn_h = NEW.elt_mn_h,
    elt_mn_i = NEW.elt_mn_i,
    elt_mn_j = NEW.elt_mn_j,
    elt_mn_j_t = NEW.elt_mn_j_t,
    dok_cm = NEW.dok_cm,
    cm_datum_verlaengerung_1 = NEW.cm_datum_verlaengerung_1,
    cm_bestaet_verlaengerung_1 = NEW.cm_bestaet_verlaengerung_1,
    cm_anmerk_verlaengerung_1 = NEW.cm_anmerk_verlaengerung_1,
    cm_datum_verlaengerung_2 = NEW.cm_datum_verlaengerung_2,
    cm_bestaet_verlaengerung_2 = NEW.cm_bestaet_verlaengerung_2,
    cm_anmerk_verlaengerung_2 = NEW.cm_anmerk_verlaengerung_2,
    datum_cm_ende = NEW.datum_cm_ende,
    cm_kontakt = NEW.cm_kontakt,
    cm_kontakt_sonstige = NEW.cm_kontakt_sonstige,
    cm_kontakt_sonstige_t = NEW.cm_kontakt_sonstige_t,
    beschul_end_a = NEW.beschul_end_a,
    beschul_end_b = NEW.beschul_end_b,
    beschul_end_c = NEW.beschul_end_c,
    beschul_end_d = NEW.beschul_end_d,
    beschul_end_e = NEW.beschul_end_e,
    beschul_end_f = NEW.beschul_end_f,
    beschul_end_h = NEW.beschul_end_h,
    beschul_end_h_t = NEW.beschul_end_h_t,
    uleistung_ende = NEW.uleistung_ende,
    uleistung_ende_a = NEW.uleistung_ende_a,
    uleistung_ende_b = NEW.uleistung_ende_b,
    uleistung_ende_c = NEW.uleistung_ende_c,
    uleistung_ende_d = NEW.uleistung_ende_d,
    uleistung_ende_e = NEW.uleistung_ende_e,
    uleistung_ende_f = NEW.uleistung_ende_f,
    uleistung_ende_g = NEW.uleistung_ende_g,
    uleistung_ende_h = NEW.uleistung_ende_h,
    uleistung_ende_i = NEW.uleistung_ende_i,
    uleistung_ende_j = NEW.uleistung_ende_j,
    uleistung_ende_j_t = NEW.uleistung_ende_j_t,
    cm_end_art = NEW.cm_end_art,
    cm_end_verm = NEW.cm_end_verm,
    cm_end_verm_t = NEW.cm_end_verm_t,
    cm_end_schul = NEW.cm_end_schul,
    cm_end_schul_t = NEW.cm_end_schul_t,
    cm_end_jg = NEW.cm_end_jg,
    cm_schule_name = NEW.cm_schule_name,
    cm_schule_strasse = NEW.cm_schule_strasse,
    cm_schule_strassenr = NEW.cm_schule_strassenr,
    cm_schule_plz = NEW.cm_schule_plz,
    cm_schule_ort = NEW.cm_schule_ort,
    cm_schule_person_1 = NEW.cm_schule_person_1,
    cm_schule_person_2 = NEW.cm_schule_person_2,
    nbtr = NEW.nbtr,
    cm_end_sonst = NEW.cm_end_sonst,
    cm_end_sonst_t = NEW.cm_end_sonst_t,
    cm_end_ab = NEW.cm_end_ab,
    cm_end_abgr = NEW.cm_end_abgr,
    cm_end_abgr_t = NEW.cm_end_abgr_t,
    cm_ziel = NEW.cm_ziel,
    cm_schulbes_1 = NEW.cm_schulbes_1,
    cm_schulbes_2 = NEW.cm_schulbes_2,
    cm_zielsch_a = NEW.cm_zielsch_a,
    cm_zielsch_b = NEW.cm_zielsch_b,
    cm_zielsch_c = NEW.cm_zielsch_c,
    cm_zielsch_d = NEW.cm_zielsch_d,
    cm_zielsch_e = NEW.cm_zielsch_e,
    cm_zielsch_f = NEW.cm_zielsch_f,
    cm_zielsch_g = NEW.cm_zielsch_g,
    cm_zielsch_h = NEW.cm_zielsch_h,
    cm_zielsch_h_t = NEW.cm_zielsch_h_t,
    cm_zielsoz_a = NEW.cm_zielsoz_a,
    cm_zielsoz_b = NEW.cm_zielsoz_b,
    cm_zielsoz_c = NEW.cm_zielsoz_c,
    cm_zielsoz_d = NEW.cm_zielsoz_d,
    cm_zielsoz_e = NEW.cm_zielsoz_e,
    cm_zielsoz_f = NEW.cm_zielsoz_f,
    cm_zielsoz_g = NEW.cm_zielsoz_g,
    cm_zielsoz_h = NEW.cm_zielsoz_h,
    cm_zielsoz_h_t = NEW.cm_zielsoz_h_t,
    dok_ziel = NEW.dok_ziel,
    dok_abschl = NEW.dok_abschl,
    nbetr_start = NEW.nbetr_start,
    nbetr_ende = NEW.nbetr_ende,
    nbetr_mn = NEW.nbetr_mn,
    nbetr_verbl = NEW.nbetr_verbl,
    nbetr_verbl_t = NEW.nbetr_verbl_t,
    dokumentation_nachbetreuung = NEW.dokumentation_nachbetreuung
WHERE id = NEW.id;

CREATE OR REPLACE RULE master_tbl_delete_rule AS ON DELETE TO master_tbl_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE master_tbl_insert_rule AS ON INSERT TO master_tbl_view
    DO INSTEAD NOTHING;

GRANT SELECT ON master_tbl_view TO GROUP :cm_group;
GRANT UPDATE ON master_tbl_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW master_tbl_anonym_view
AS SELECT
    id,
    uuid_id,
    bearbeiter_id,
    einwilligung,
    phase,
    fkz,
    ks,
    NULL::VARCHAR(256) AS fn,
    NULL::VARCHAR(256) AS mitarb_zv,
    hash_value(mitarb_zn, mitarb_zv) AS mitarb_zn,
    NULL::VARCHAR(256) AS mitarb_vv,
    NULL::VARCHAR(256) AS mitarb_vn,
    NULL::VARCHAR(256) AS name,
    NULL::VARCHAR(256) AS vorname,
    geschlecht,
    get_age(geburtsdatum) AS geburtsdatum,
    kontakt,
    erstgespraech,
    zugang,
    NULL::VARCHAR(256) AS zugang_t,
    cm2c,
    cm_dok_datum_beendigung,
    cm_dok_end_art,
    cm_dok_end_verm,
    cm_dok_end_sonst,
    cm_neuauf_genehm,
    cm_wiederauf_genehm_1,
    cm_wiederauf_genehm_datum_1,
    cm_wiederauf_datum_bis_1,
    cm_wiederauf_genehm_2,
    cm_wiederauf_datum_bis_2,
    NULL::TEXT AS cm2c_t,
    schulpfl_a,
    schulpfl_b,
    NULL::TEXT AS dok_eingang,
    datum_cm_start,
    teilnahme_evaluation,
    evaluation_nummer,
    NULL::VARCHAR(256) AS addresse_strasse_1,
    NULL::VARCHAR(256) AS addresse_strassenr_1,
    shorten_value(addresse_plz_1, 3) AS addresse_plz_1,
    NULL::VARCHAR(256) AS addresse_ort_1,
    NULL::VARCHAR(256) AS addresse1_vorwahl_1,
    NULL::VARCHAR(256) AS addresse1_telefonnummer_1,
    NULL::VARCHAR(256) AS addresse2_vorwahl_1,
    NULL::VARCHAR(256) AS addresse2_telefonnummer_2,
    NULL::VARCHAR(256) AS addresse_weiteretelefonnummern_1,
    NULL::VARCHAR(256) AS addresse_email_1,
    wohnort,
    wohnauf,
    NULL::VARCHAR(256) AS wohnauf_t,
    kinder,
    kinder_hh,
    kinder_allein,
    nat_land,
    NULL::VARCHAR(256) AS nat_land_t,
    nat_staat,
    nat_status,
    nat_wohn,
    nat_muspra,
    NULL::VARCHAR(256) AS nat_muspra_t,
    nat_haspra,
    psorge,
    NULL::VARCHAR(256) AS psorge_t,
    mutter,
    NULL::VARCHAR(256) AS mutter_n,
    NULL::VARCHAR(256) AS mutter_vn,
    NULL::DATE AS mutter_gb,
    NULL::VARCHAR(256) AS mutter_strasse_1,
    NULL::VARCHAR(256) AS mutter_strassenr_1,
    NULL::VARCHAR(256) AS mutter_plz_1,
    NULL::VARCHAR(256) AS mutter_ort_1,
    NULL::VARCHAR(256) AS mutter_vorwahl1_1,
    NULL::VARCHAR(256) AS mutter_telefonnummer1_1,
    NULL::VARCHAR(256) AS mutter_vorwahl2_1,
    NULL::VARCHAR(256) AS mutter_telefonnummer2_1,
    NULL::VARCHAR(256) AS mutter_email_1,
    mutter_land,
    NULL::VARCHAR(256) AS mutter_land_t,
    mutter_staat,
    mutter_spra,
    mutter_bildung,
    NULL::VARCHAR(256) AS mutter_bildung_t,
    mutter_beruf,
    NULL::TEXT AS mutter_sonst,
    vater,
    NULL::VARCHAR(256) AS vater_n,
    NULL::VARCHAR(256) AS vater_vn,
    NULL::DATE AS vater_gb,
    NULL::VARCHAR(256) AS vater_strasse_1,
    NULL::VARCHAR(256) AS vater_strassenr_1,
    NULL::VARCHAR(256) AS vater_plz_1,
    NULL::VARCHAR(256) AS vater_ort_1,
    NULL::VARCHAR(256) AS vater_vorwahl1_1,
    NULL::VARCHAR(256) AS vater_telefonnummer1_1,
    NULL::VARCHAR(256) AS vater_vorwahl2_1,
    NULL::VARCHAR(256) AS vater_telefonnummer2_1,
    NULL::VARCHAR(256) AS vater_email_1,
    vater_land,
    NULL::VARCHAR(256) AS vater_land_t,
    vater_staat,
    vater_spra,
    vater_bildung,
    NULL::VARCHAR(256) AS vater_bildung_t,
    vater_beruf,
    NULL::TEXT AS vater_sonst,
    geschw_vorhanden,
    geschw_w,
    geschw_m,
    geschw_hh,
    geschw_alt_a,
    geschw_alt_b,
    geschw_alt_c,
    geschw_alt_d,
    einkommen_a,
    einkommen_b,
    einkommen_c,
    einkommen_e,
    einkommen_d,
    NULL::TEXT AS einkommen_d_t,
    -1 AS einkommen,
    bezugsperson_a,
    bezugsperson_b,
    bezugsperson_c,
    bezugsperson_d,
    bezugsperson_e,
    bezugsperson_f,
    bezugsperson_g,
    bezugsperson_h,
    bezugsperson_i,
    bezugsperson_j,
    bezugsperson_k,
    bezugsperson_l,
    bezugsperson_m,
    bezugsperson_n,
    bezugsperson_o,
    bezugsperson_p,
    bezugsperson_q,
    bezugsperson_r,
    NULL::VARCHAR(256) AS bezugsperson_r_t,
    zugeh_a,
    zugeh_b,
    zugeh_c,
    zugeh_d,
    NULL::TEXT AS dok_angaben,
    schulform,
    NULL::VARCHAR(256) AS schulform_t,
    klassenstufe,
    klassenwdh,
    sinteresse_a,
    sinteresse_b,
    leistung_ges,
    leistung_d,
    leistung_m,
    leistung_fs,
    sv_aktiv,
    sv_passiv,
    sv_a,
    sv_b,
    sv_c,
    sv_d,
    sv_e,
    sv_f,
    sv_g,
    NULL::VARCHAR(256) AS sv_g_t,
    fehltg_sj,
    fehltg_sj_ue,
    fehltg_m,
    fehltg_m_ue,
    fehlst_sj,
    fehlst_sj_ue,
    fehlst_m,
    fehlst_m_ue,
    sv_monate,
    abschl_gef,
    abschl_pr,
    ordmn,
    ekomp_a,
    ekomp_b,
    ekomp_c,
    ekomp_d,
    ekomp_e,
    ekomp_f,
    ekomp_g,
    ekomp_h,
    ekomp_i,
    NULL::VARCHAR(256) AS ekomp_i_t,
    problfam_a,
    problfam_b,
    problfam_c,
    problfam_d,
    problfam_e,
    problfam_f,
    problfam_g,
    problfam_h,
    problfam_i,
    problfam_j,
    problfam_k,
    problfam_l,
    problfam_m,
    NULL::VARCHAR(256) AS problfam_m_t,
    NULL::TEXT AS familie_anm,
    uleistung_beginn,
    uleistung_beginn_a,
    uleistung_beginn_b,
    uleistung_beginn_c,
    uleistung_beginn_d,
    uleistung_beginn_e,
    uleistung_beginn_f,
    uleistung_beginn_g,
    uleistung_beginn_h,
    uleistung_beginn_i,
    uleistung_beginn_j,
    NULL::VARCHAR(256) AS uleistung_beginn_j_t,
    uleistung_verg,
    NULL::TEXT AS uleistung_anm,
    NULL::TEXT AS dok_biograf,
    datum_kf_1,
    kf_verfahren_1,
    kf_anbiet_1,
    kf_meth_a_1,
    kf_meth_b_1,
    kf_meth_d_1,
    kf_meth_e_1,
    kf_meth_f_1,
    NULL::VARCHAR(256) AS kf_meth_f_t_1,
    kf_test_a_1,
    kf_test_a_t_1,
    kf_test_b_1,
    kf_test_b_t_1,
    kf_test_c_1,
    kf_test_c_t_1,
    kf_test_d_1,
    kf_test_d_t_1,
    komp_schule_a_1,
    komp_schule_b_1,
    komp_schule_c_1,
    komp_schule_d_1,
    komp_schule_e_1,
    komp_schule_f_1,
    komp_schule_g_1,
    NULL::VARCHAR(256) AS komp_schule_g_t_1,
    komp_deutsch_a_1,
    komp_deutsch_b_1,
    komp_deutsch_c_1,
    komp_deutsch_d_1,
    komp_herkunft_1,
    komp_sozial_a_1,
    komp_sozial_b_1,
    komp_sozial_c_1,
    komp_sozial_d_1,
    komp_sozial_e_1,
    komp_sozial_f_1,
    komp_sozial_g_1,
    NULL::VARCHAR(256) AS komp_sozial_g_t_1,
    komp_selbst_a_1,
    komp_selbst_b_1,
    komp_selbst_c_1,
    komp_selbst_d_1,
    komp_selbst_e_1,
    komp_selbst_f_1,
    komp_selbst_g_1,
    NULL::VARCHAR(256) AS komp_selbst_g_t_1,
    komp_psy_a_1,
    komp_psy_b_1,
    komp_psy_c_1,
    komp_psy_d_1,
    komp_psy_e_1,
    komp_psy_f_1,
    komp_psy_g_1,
    komp_psy_g_t_1,
    NULL::TEXT AS komp_anm,
    entw_a_1,
    entw_b_1,
    entw_c_1,
    entw_d_1,
    entw_e_1,
    entw_f_1,
    entw_g_1,
    entw_h_1,
    NULL::VARCHAR(256) AS entw_h_t_1,
    entw_i_1,
    NULL::VARCHAR(256) AS entw_i_t_1,
    entw_j_1,
    NULL::VARCHAR(256) AS entw_j_t_1,
    entw_k_1,
    NULL::VARCHAR(256) AS entw_k_t_1,
    entw_beh,
    NULL::TEXT AS dok_entw,
    datum_bfplan,
    beschul_a,
    beschul_b,
    beschul_c,
    beschul_d,
    beschul_e,
    beschul_i,
    beschul_f,
    beschul_h,
    NULL::VARCHAR(256) AS beschul_h_t,
    reint_ziel,
    NULL::VARCHAR(256) AS reint_ziel_t,
    NULL::TEXT AS reint_beding_a,
    NULL::TEXT AS reint_beding_b,
    NULL::TEXT AS reint_beding_c,
    NULL::VARCHAR(256) AS reint_beding_d_t,
    NULL::TEXT AS reint_beding_d,
    zielcm_schul_a,
    zielcm_schul_b,
    zielcm_schul_c,
    zielcm_schul_d,
    zielcm_schul_e,
    zielcm_schul_f,
    zielcm_schul_g,
    zielcm_schul_h,
    NULL::VARCHAR(256) AS zielcm_schul_h_t,
    zielcm_sozial_a,
    zielcm_sozial_b,
    zielcm_sozial_c,
    zielcm_sozial_d,
    zielcm_sozial_e,
    zielcm_sozial_f,
    zielcm_sozial_g,
    zielcm_sozial_h,
    NULL::VARCHAR(256) AS zielcm_sozial_h_t,
    NULL::TEXT AS hilfm_weitere,
    elt_koop,
    elt_mn_a,
    elt_mn_b,
    elt_mn_c,
    elt_mn_d,
    elt_mn_e,
    elt_mn_f,
    elt_mn_g,
    elt_mn_h,
    elt_mn_i,
    elt_mn_j,
    NULL::VARCHAR(256) AS elt_mn_j_t,
    NULL::TEXT AS dok_cm,
    cm_datum_verlaengerung_1,
    cm_bestaet_verlaengerung_1,
    NULL::TEXT AS cm_anmerk_verlaengerung_1,
    cm_datum_verlaengerung_2,
    cm_bestaet_verlaengerung_2,
    NULL::TEXT AS cm_anmerk_verlaengerung_2,
    datum_cm_ende,
    cm_kontakt,
    cm_kontakt_sonstige,
    NULL::VARCHAR(256) AS cm_kontakt_sonstige_t,
    beschul_end_a,
    beschul_end_b,
    beschul_end_c,
    beschul_end_d,
    beschul_end_e,
    beschul_end_f,
    beschul_end_h,
    beschul_end_h_t,
    uleistung_ende,
    uleistung_ende_a,
    uleistung_ende_b,
    uleistung_ende_c,
    uleistung_ende_d,
    uleistung_ende_e,
    uleistung_ende_f,
    uleistung_ende_g,
    uleistung_ende_h,
    uleistung_ende_i,
    uleistung_ende_j,
    NULL::VARCHAR(256) AS uleistung_ende_j_t,
    cm_end_art,
    cm_end_verm,
    NULL::VARCHAR(256) AS cm_end_verm_t,
    cm_end_schul,
    NULL::VARCHAR(256) AS cm_end_schul_t,
    cm_end_jg,
    NULL::VARCHAR(256) AS cm_schule_name,
    NULL::VARCHAR(256) AS cm_schule_strasse,
    NULL::VARCHAR(256) AS cm_schule_strassenr,
    NULL::VARCHAR(256) AS cm_schule_plz,
    NULL::VARCHAR(256) AS cm_schule_ort,
    NULL::VARCHAR(256) AS cm_schule_person_1,
    NULL::VARCHAR(256) AS cm_schule_person_2,
    nbtr,
    cm_end_sonst,
    NULL::VARCHAR(256) AS cm_end_sonst_t,
    cm_end_ab,
    cm_end_abgr,
    NULL::VARCHAR(256) AS cm_end_abgr_t,
    cm_ziel,
    cm_schulbes_1,
    cm_schulbes_2,
    cm_zielsch_a,
    cm_zielsch_b,
    cm_zielsch_c,
    cm_zielsch_d,
    cm_zielsch_e,
    cm_zielsch_f,
    cm_zielsch_g,
    cm_zielsch_h,
    NULL::VARCHAR(256) AS cm_zielsch_h_t,
    cm_zielsoz_a,
    cm_zielsoz_b,
    cm_zielsoz_c,
    cm_zielsoz_d,
    cm_zielsoz_e,
    cm_zielsoz_f,
    cm_zielsoz_g,
    cm_zielsoz_h,
    NULL::VARCHAR(256) AS cm_zielsoz_h_t,
    NULL::TEXT AS dok_ziel,
    NULL::TEXT AS dok_abschl,
    nbetr_start,
    nbetr_ende,
    NULL::TEXT AS nbetr_mn,
    nbetr_verbl,
    NULL::VARCHAR(256) AS nbetr_verbl_t,
    NULL::TEXT AS dokumentation_nachbetreuung FROM master_tbl_view;

CREATE OR REPLACE RULE master_tbl_anonym_delete_rule AS ON DELETE TO master_tbl_anonym_view
    DO INSTEAD NOTHING;

CREATE OR REPLACE RULE master_tbl_anonym_insert_rule AS ON INSERT TO master_tbl_anonym_view
    DO INSTEAD NOTHING;

GRANT SELECT ON master_tbl_anonym_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_anonym_view TO GROUP :admin_group;

CREATE OR REPLACE  VIEW master_tbl_incm_view AS
    SELECT * FROM master_tbl_view
        WHERE phase IN (2,3,4,5);

GRANT SELECT ON public.master_tbl_incm_view TO :cm_group;
GRANT SELECT ON public.master_tbl_incm_view TO :admin_group;

-- Update functions
DROP FUNCTION anonymize_case(mid int);

CREATE OR REPLACE FUNCTION anonymize_case(mid int)
RETURNS void AS
$$
BEGIN
    PERFORM anonymize_uuid(mid);
    -- anonymize master table
    UPDATE master_tbl_view SET
        fn = NULL,
        mitarb_zv = NULL,
        mitarb_zn = hash_value(mitarb_zn, mitarb_zv),
        mitarb_vv = NULL,
        mitarb_vn = NULL,
        name = NULL,
        vorname = NULL,
        geburtsdatum = get_age(geburtsdatum),
        zugang_t = NULL,
        cm2c_t = NULL,
        dok_eingang = NULL,
        addresse_strasse_1 = NULL,
        addresse_strassenr_1 = NULL,
        addresse_plz_1 = shorten_value(addresse_plz_1, 3),
        addresse_ort_1 = NULL,
        addresse1_vorwahl_1 = NULL,
        addresse1_telefonnummer_1 = NULL,
        addresse2_vorwahl_1 = NULL,
        addresse2_telefonnummer_2 = NULL,
        addresse_weiteretelefonnummern_1 = NULL,
        addresse_email_1 = NULL,
        wohnauf_t = NULL,
        nat_land_t = NULL,
        nat_muspra_t = NULL,
        psorge_t = NULL,
        mutter_n = NULL,
        mutter_vn = NULL,
        mutter_gb = NULL,
        mutter_strasse_1 = NULL,
        mutter_strassenr_1 = NULL,
        mutter_plz_1 = NULL,
        mutter_ort_1 = NULL,
        mutter_vorwahl1_1 = NULL,
        mutter_telefonnummer1_1 = NULL,
        mutter_vorwahl2_1 = NULL,
        mutter_telefonnummer2_1 = NULL,
        mutter_email_1 = NULL,
        mutter_land_t = NULL,
        mutter_bildung_t = NULL,
        mutter_sonst = NULL,
        vater_n = NULL,
        vater_vn = NULL,
        vater_gb = NULL,
        vater_strasse_1 = NULL,
        vater_strassenr_1 = NULL,
        vater_plz_1 = NULL,
        vater_ort_1 = NULL,
        vater_vorwahl1_1 = NULL,
        vater_telefonnummer1_1 = NULL,
        vater_vorwahl2_1 = NULL,
        vater_telefonnummer2_1 = NULL,
        vater_email_1 = NULL,
        vater_land_t = NULL,
        vater_bildung_t = NULL,
        vater_sonst = NULL,
        einkommen_d_t = NULL,
        einkommen = -1,
        bezugsperson_r_t = NULL,
        dok_angaben = NULL,
        schulform_t = NULL,
        sv_g_t = NULL,
        ekomp_i_t = NULL,
        problfam_m_t = NULL,
        familie_anm = NULL,
        uleistung_beginn_j_t = NULL,
        uleistung_anm = NULL,
        dok_biograf = NULL,
        kf_meth_f_t_1 = NULL,
        komp_schule_g_t_1 = NULL,
        komp_sozial_g_t_1 = NULL,
        komp_selbst_g_t_1 = NULL,
        komp_anm = NULL,
        entw_h_t_1 = NULL,
        entw_i_t_1 = NULL,
        entw_j_t_1 = NULL,
        entw_k_t_1 = NULL,
        dok_entw = NULL,
        beschul_h_t = NULL,
        reint_ziel_t = NULL,
        reint_beding_a = NULL,
        reint_beding_b = NULL,
        reint_beding_c = NULL,
        reint_beding_d_t = NULL,
        reint_beding_d = NULL,
        zielcm_schul_h_t = NULL,
        zielcm_sozial_h_t = NULL,
        hilfm_weitere = NULL,
        elt_mn_j_t = NULL,
        dok_cm = NULL,
        cm_anmerk_verlaengerung_1 = NULL,
        cm_anmerk_verlaengerung_2 = NULL,
        cm_kontakt_sonstige_t = NULL,
        uleistung_ende_j_t = NULL,
        cm_end_verm_t = NULL,
        cm_end_schul_t = NULL,
        cm_schule_name = NULL,
        cm_schule_strasse = NULL,
        cm_schule_strassenr = NULL,
        cm_schule_plz = NULL,
        cm_schule_ort = NULL,
        cm_schule_person_1 = NULL,
        cm_schule_person_2 = NULL,
        cm_end_sonst_t = NULL,
        cm_end_abgr_t = NULL,
        cm_zielsch_h_t = NULL,
        cm_zielsoz_h_t = NULL,
        dok_ziel = NULL,
        dok_abschl = NULL,
        nbetr_mn = NULL,
        nbetr_verbl_t = NULL,
        dokumentation_nachbetreuung = NULL
    WHERE id = mid;

    -- anonymize repeat groups
    UPDATE rg_ansprechpartner_tbl_view SET
        ansprechpartner_name = NULL,
        ansprechpartner_kundennummer = NULL,
        ansprechpartner_strasse = NULL,
        ansprechpartner_strassenr = NULL,
        ansprechpartner_plz = NULL,
        ansprechpartner_ort = NULL,
        ansprechpartner_vorwahl = NULL,
        ansprechpartner_telefonnummer = NULL,
        ansprechpartner_email = NULL
    WHERE master_id = mid;

    UPDATE rg_kontaktdaten_tbl_view SET
        kontaktdaten_bezugsperson_name = NULL,
        kontaktdaten_bezugsperson_vorname = NULL,
        kontaktdaten_bezugsperson_funktion = -1,
        kontaktdaten_bezugsperson_strasse = NULL,
        kontaktdaten_bezugsperson_strassenr = NULL,
        kontaktdaten_bezugsperson_plz = NULL,
        kontaktdaten_bezugsperson_ort = NULL,
        kontaktdaten_bezugsperson_vorwahl = NULL,
        kontaktdaten_bezugsperson_telefon = NULL,
        kontaktdaten_bezugsperson_email = NULL
    WHERE master_id = mid;

    UPDATE rg_probleme_tbl_view SET
        probleme_beschreibung = NULL
    WHERE master_id = mid;

    UPDATE rg_hilfsmassnahmen_tbl_view SET
        hilfsmassnahmen_institution = hash_value(hilfsmassnahmen_institution, hilfsmassnahmen_institution),
        hilfsmassnahmen_einrichtung = hash_value(hilfsmassnahmen_einrichtung, hilfsmassnahmen_einrichtung),
        hilfsmassnahmen_schlussfolgerungen = NULL
    WHERE master_id = mid;

    UPDATE rg_vereinbarungen_tbl_view SET
        vereinbarung_text = NULL
    WHERE master_id = mid;

    UPDATE rg_elternarbeit_tbl_view SET
        elternarbeit_schlussfolgerungen = NULL
    WHERE master_id = mid;

END;
$$ LANGUAGE plpgsql VOLATILE SECURITY DEFINER;

REVOKE ALL ON FUNCTION anonymize_case(int) FROM public;
GRANT EXECUTE ON FUNCTION anonymize_case(int) TO GROUP :admin_group;

-- Reactivate the triggers
SET ROLE postgres;
ALTER TABLE master_tbl ENABLE TRIGGER ALL;

COMMIT;
