#!/bin/sh
DBLIST=${1}
PORT=${2:-5432}
PWD=`pwd`
WD=`basename ${PWD}`

if [ -e restore_log.log ]; then
	rm restore_log.log
fi
if [ -e restore_success.log ]; then
	rm restore_success.log
fi
if [ -e restore_error.log ]; then
	rm restore_error.log
fi
touch restore_log.log
touch restore_success.log
touch restore_error.log

for db in `cat $DBLIST`
do
	cd ${PWD}/ka_${db}_db
	printf "Restoring %s... " ${db}
	../migrate.sh import ${db} ${PORT} >> ../restore_log.log 2>&1
	if [ $? -eq 0 ]; then
		printf "Ok\\n"
		echo $db >> ../restore_success.log
	else
		printf "Failed\\n"
		echo $db >> ../restore_error.log
	fi
	cd ..
done
printf "Ready."
echo "Next step: wc -l restore_error.log"
exit 0
