#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import psycopg2


UPDATE1 = """\
UPDATE ka_konfiguration_tbl SET wert=%s WHERE bez='job_percentage';"""

def update_all(port, dbtodec):
    ok, total = 0, 0
    for db in dbtodec:
        ok += update1(port, db, dbtodec[db])
        total +=1
    print "Updated job_percentage in %d/%d databases" % (ok, total)

def update1(port, db , decision):
    try:
        con = psycopg2.connect(database="ka_" +db+"_db", port=port)
        cur = con.cursor()
        cur.execute(UPDATE1, (decision,))
        con.commit()
        return 1
    except psycopg2.DatabaseError, e:
        print "Error inserting into database %s: %s" (db, e)
    finally:
        if con:
            con.close()
    return 0    

def read_csv_list(f1):
    dbtodec = {}
    for line in f1:
        if line.strip():
            line_pair = line.split(',')
            dbtodec[line_pair[0].strip()] = line_pair[1].strip()
    return dbtodec

def main():
    if len(sys.argv) -1 != 2:
        print "update_meta_transfer.py <port> <csv dblist>"
        return
    port = sys.argv[1]
    input1 = open(sys.argv[2])
    dbtodec = read_csv_list(input1)
    input1.close()
    print "Update ka_konfiguration_tbl option job_percentage..."
    update_all(port, dbtodec)
main()


