from pylons import g
from mpulsweb.lib.base import session
from mpulsweb.controllers.evaluate import \
     EvaluateController as MpulsEvaluateController, \
     get_common_options, get_session_options, \
     get_default_options

class EvaluateController(MpulsEvaluateController):

    def type_ending_clause(self, params):
        if (params['type_ending'] and params.get('start_date') != 'None'
            and params.get('end_date') != 'None'):
            return ("('%s'::date <= coalesce(m.datum_cm_ende, now())"
                    " AND coalesce(m.datum_cm_ende, now()) <= '%s'::date"
                    " AND m.cm_end_art in (%s))"
                    % (params['start_date'], params['end_date'],
                    ", ".join([str(e) for e in params['type_ending']])))
        else:
            return "TRUE"

    def get_default_adele_options(self):
        """Return a dictionary with the default evaluation options for 'adele'.
        It has the same contents as the one returned by
        get_default_options() except for the phase which is taken from the
        'evaluations', 'adele-phases' configuration option.
        """
        options = get_default_options()
        options["phase"] = g.mpuls_config.get('evaluations', 'adele-phases')
        return options

    def _get_options(self, id, evalconfig):
        # If user selects adele-evaluation render page with different default
        # options and no session options.
        common_options = get_common_options(evalconfig, id,
                                            session.get("evaluation_ids", ()))
        if id == "0":
            option_sources = [common_options, self.get_default_adele_options()]
        else:
            option_sources  = [get_default_options(), common_options,
                               get_session_options()]
        return option_sources
