# -*- coding: utf-8 -*-
import logging
import calendar
from datetime import datetime, date
import formencode

from pylons.controllers.util import abort

from pylons import app_globals as g, tmpl_context as c, request
from mpulsweb.lib.base import BaseController, render
from mpulsweb.lib.security import checkRole
from mpulsweb.model.percentage import JobPercentage
from mpulsweb.model.agencysettings import Agency

log = logging.getLogger(__name__)

class JobpercentageController(BaseController):

    '''Display the jobpercentage of the agencies.'''

    @checkRole(('admin',))
    def index(self):
        start = g.mpuls_config.get('job_percentage', 'start_date')
        y,m,d = start.split('-')
        y = int(y)
        m = int(m)
        d = int(d)
        percentages = []
        r = range(int(g.mpuls_config.get('job_percentage', 'months')))
        for x in r:
            jp = JobPercentage()
            sd, ed = calendar.monthrange(y, m)
            s = "'%s'" % date(y,m,1)
            e = "'%s'" % date(y,m,ed)
            if date.today() < date(y,m,1):
                break
            cases, percentage = jp.calulate_percentage(s,e)
            percentages.append((date(y,m,ed), cases, percentage))
            m+=1
            if m > 12:
                m=1
                y+=1
        c.percentages = percentages
        c.display_jobpercentage = False
        c.jobpercentage_str = Agency().getJobPercentage()
        if c.jobpercentage_str and not c.jobpercentage_str =='0':
            c.display_jobpercentage = True

        return render('/jobpercentage/jobpercentage.mako')
