# -*- coding: utf-8 -*-
#
# Copyright 2007, 2008, 2010 Intevation GmbH, Germany, <info@intevation.de>
# 
# This file is part of mpuls WASKA (CoMPUter-based case fiLeS - 
# Web-Anwendungs-Server fuer Kompetenzagenturen).
# 
# mpuls WASKA is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
# 
# mpuls WASKA is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
# 
# You should have received a copy of the GNU Affero General Public
# License along with mpuls WASKA. If not, see <http://www.gnu.org/licenses/>.
# 
# mpuls WASKA has been developed on behalf of the 
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and 
# European Social Fund resources.
#
# Authors:
# Sascha L. Teichmann <teichmann@intevation.de>
#

from cgi import escape
import logging

# nl_to_br is not used directly in this module. Many templates access it
# through this module, though, so this import shouldn't be removed.
from formed.renderer.helpers import nl_to_br

log = logging.getLogger(__name__)

def no_none(text):
    if text == 'None' or not text:
        return ''
    return text

def NA(text):
    if text == 'None' or not text:
        return '-/-'
    return text

def shorten(text, length=40):
    shortcut = "..."
    try:
        len(text)
        if text and len(text) > length:
            text = text[0:length-len(shortcut)] + shortcut 
    except:
        log.warning('Trying to shorten a non string type: %s' % text)
    return text

# vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
