<%inherit file="../main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<%
  formular_labels = {'firstname'  : _('Forename'),
                      'lastname'  : _('Surname'),
                      'login'     : _('Login'),
                      'passwd'    : _('Enter new password'),
                      'passwd2'   : _('Repeat pasword')
                      }
%>
<%def name="buildNavipath()">
		${parent.buildNavipath()}
	<li><a href="${h.url(controller='administration', action='index')}">${_('Administration')}</a></li>
	<li><a href="${h.url(controller='administration', action='overviewUser')}">${_('User overview')}</a></li>
        <li><a href="${h.url(controller='administration', action='showUser', id=c.uo.id)}">${_('Show user')}</a></li>
	<li><a href="${h.url(controller='administration', action='editUser')}">${_('Edit user')}</a></li>
</%def>
<div id="content_header_small">
  <div id="content_ueberschrift">
${_('Edit user')}
  </div>
  <div id="modusfield">
    <div class="actions">
	<ul>
          %if str(c.uo.id) != str(session.get('USER_AUTHORIZED').id):
	    <li>
              <a href="${h.url(controller='administration', action='resetUserPassword', id=c.uo.id)}">${_('Reset user password')}</a>
            </li>
          % endif
	    <li>
              <a href="${h.url(controller='administration', action='showUser', id=c.uo.id)}">  ${_('Back to: User overview')} </a>
            </li>
	</ul>
    </div>
  </div>
</div>
${self.buildFormErrors(formular_labels)}
<div id="admin_edit_user">
<div id="waska_form">
<form action="${h.url(controller='administration', action='editUserAction')}"
      method="POST">

	<fieldset>
        
        <legend>${_('Information about personal')}</legend>
        
        <table>
            <tr>
                <td>
                    % if c.form_errors.get('firstname'): 
                    <label for="firstname" class="error_font">${_('Forename')}</label><br>
                    <input type="text" class="field error_box" id="firstname" name="firstname" value="${c.form_result.get('firstname', c.uo.first_name)}" maxlength="64">
                    % else:
                    <label for="firstname">${_('Forename')}</label><br>
                    <input type="text" class="field" id="firstname" name="firstname" value="${c.form_result.get('firstname', c.uo.first_name)}" maxlength="64">
                    % endif
                </td>
                
                <td>
                    % if c.form_errors.get('lastname'): 
                    <label for="lastname" class="error_font">${_('Surname')}</label><br>
                    <input type="text" class="field error_box" id="lastname" name="lastname" value="${c.form_result.get('lastname', c.uo.last_name)}" maxlength="64">
                    % else:
                    <label for="lastname">${_('Surname')}</label><br>
                    <input type="text" class="field" id="lastname" name="lastname" value="${c.form_result.get('lastname', c.uo.last_name)}" maxlength="64">
                    % endif
                </td>
            </tr>
            
            <tr>
                <td>
                    <label for="telephone">${_('Phone')}</label><br>
                    <input type="text" class="field" id="telephone" name="telephone" value="${c.form_result.get('telephone', c.uo.telephone)}" maxlength="32">
                </td>
                <td>
                    <label for="room">${_('Roomnumber')}</label><br>
                    <input type="text" class="field" id="room" name="room" value="${c.form_result.get('room', c.uo.room)}" maxlength="16">
                </td>
            </tr>
            <tr>
                <td>
                    <label for="branchoffice">${_('Institution')}</label><br>
                    <input type="text" class="field" id="branchoffice" name="branchoffice" value="${c.form_result.get('branchoffice', c.uo.branchoffice)}" maxlength="64">
                </td>
                <td></td>
            </tr>
        </table>
	</fieldset>
        % if g.mpuls_config.is_enabled('module', 'agency-overview'):
	<fieldset><legend>${_('Visibility')}</legend>
          <p>
            <label for="agencys">${_('Agency')}</label><br>
            <select id="agencys" name="agencys" size="5" multiple>
              % for agency in c.agency_list:
                % if int(agency.id) in c.uo.linked_fkz:
                  <option value="${agency.id}" selected="selected">[${agency.fkz}] - ${agency.name} (${agency.count})</option>
                % else:
                  <option value="${agency.id}">[${agency.fkz}] - ${agency.name} (${agency.count})</option>
                % endif
              % endfor
            </select>
          </p>
        </fieldset>
        %endif
	<fieldset><legend>${_('Information about login')}</legend>
          <table>
            <tr>
              <td class="label table_header_v table_width_mid_s">Anmeldekennung</td>
              <td class="table_row_v">${c.uo.getLogin()}</td>
            </tr>
            <tr>
              <td class="label">Rolle</td>
              <td class="table_row_v_2">${c.uo.getRole()}</td>
            </tr>
          </table>
        </fieldset>
	<div class="waska_form_element w100">
        % if c.uo.isActivated():
          <input type="checkbox" checked  name="activated" id="activated">
        % else:
          <input type="checkbox" name="activated" id="activated">
        % endif
        <label for="activated">${_('User is allowed to activate')}</label>
	</div>
	<div class="waska_form_element w100">
        % if c.uo.needsNewPass():
          <input type="checkbox" checked name="newpass" id="newpass">
        % else:
          <input type="checkbox" name="newpass" id="newpass">
        % endif
        <label for="newpass">${_('User must set password at next login.')}</label>
	</div>
        <div id="admin_edit_user_submit" class="waska_form_element w100">
	  <input type="submit" value="${_('Save user')}">
        </div>
        <input type="hidden" value="${c.form_errors.get('uid', c.uo.id)| F.NA}" name="uid">
</form>
</div>
</div>
