## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />
<%!  import mpulsweb.lib.helper.filters as F %>
<h1>${_('Meta case')}</h1>
<p>Die AiR-Akte dient der programmübergreifenden Auswertung von Betreuungsverläufen.
Dafür ist eine zusätzliche Einwilligung erforderlich. Außerdem muss Ihre lokale Programm-
Fallakte mit einer AiR-Akte verknüpft werden.</p>
<div class="widget container">
<h2>AiR-Akte: Einwilligung</h2>
<p>Neben der verpflichtenden Einwilligung zur Speicherung und Nutzung der
personenbezogenen Daten für die Programm-Fallakte ist eine zusätzliche
Einwilligung des jungen Menschen erforderlich, um eine AiR-Akte anzulegen.</p>
<p>
  % if c.meta.is_sync_allowed():
    <img width="22" height="22" alt="Ok" src="${h.url('/images/icons/info/ok_22.png')}"> 
    Einwilligungserklärung liegt vor
  % else:
    <img width="22" height="22" alt="Error" src="${h.url('/images/icons/info/failure_22.png')}">
    Einwilligungserklärung liegt nicht vor
  % endif
</p>
<br>
<p>
  % if c.meta.is_sync_allowed():
      <a href="${h.url(controller='meta', action='disallow_sync', id=session.get('case').id, confirmed=0)}" onclick="return checkModification();" class="button">Einwilligung zurückziehen</a>
  % else:
      <a href="${h.url(controller='meta', action='set_statement1', id=session.get('case').id, confirmed=0)}" onclick="return checkModification();" class="button">Einwilligung setzen</a>
  % endif
</p>
</div>

<br>
<div class="widget container">
<h2>AiR-Akte: Verknüpfung</h2>
<p>Voraussetzung für eine Verknüpfung ist die obige Einwilligung.</p>
<p>Vor einer Verknüpfung wird gesucht, ob eine zum Jugendlichen passende
AiR-Akte bereits existiert oder eine neue AiR-Akte angelegt werden muss. Die
Verknüpfung wird dann zwischen dieser Programm-Fallakte und der existierenden
oder einer neuen AiR-Akte hergestellt. Angaben der Programm-Fallakte werden in
der AiR-Akte aktualisiert. Dies erfolgt entweder
<ol>
  <li>automatisch: Bei einem Phasenwechseln der Fallakten, oder</li>
  <li>manuell: Durch Auswahl der Funktion 'Falldaten aktualisieren'.</li>
</ol>
</p>
<p>
  % if not c.agency.is_metauser_enabled():
    <img width="22" height="22" alt="${_('Error')}" src="${h.url('/images/icons/info/failure_22.png')}">
    ${_('Meta user is not configured properly. Please consult the administration to do so.')}
  % elif not c.meta.is_sync_allowed():
    <img width="22" height="22" alt="${_('Error')}" src="${h.url('/images/icons/info/failure_22.png')}">
    Einwilligungserklärung liegt nicht vor. Bitte setzen Sie zuvor die Einwilligung zur Arbeit mit der AiR-Akte.
  % elif c.meta.is_linked():
    <img width="22" height="22" alt="Ok" src="${h.url('/images/icons/info/ok_22.png')}">
    ${_('Case is linked')}
  % else:
    <img width="22" height="22" alt="${_('Error')}" src="${h.url('/images/icons/info/failure_22.png')}">
    ${_('Case is not linked')}
  % endif
</p>
  % if c.agency.is_metauser_enabled() and c.meta.is_sync_allowed():
  <br>
  <p>
    % if c.meta.is_linked():
      <a href="${h.url(controller='meta', action='upload', id=session.get('case').id)}" class="button">${_('Upload case')}</a>
      <a href="${h.url(controller='meta', action='unlink', id=session.get('case').id, confirmed=0)}" onclick="return checkModification();" class="button">${_('Unlink case')}</a>
    % else:
      <a href="${h.url(controller='meta', action='search', id=session.get('case').id)}" onclick="return checkModification();" class="button">${_('Link case')}</a>
    % endif
  </p>
  % endif
</div>
