#!/usr/bin/python
# -*- coding: utf-8 -*-
import sys
import psycopg2

SQL_GET_UUID = """SELECT project_uuid FROM ka_meta_tbl"""

def generate_uuid2dbname(dblist, port, db2cert):
    uuid_dbname_dict = {}
    total = 0
    #print "generate uuid2dbname using dbs: %s" % ", ".join(dblist)
    for db in dblist:
        con = None
        try:
            con = psycopg2.connect(database="ka_" +db+"_db", port=port)
            cur = con.cursor()
            cur.execute(SQL_GET_UUID)
            result = cur.fetchall()
            total += len(result)
            for row in result:
                if row[0]:
                    uuid_dbname_dict[row[0].strip()] = db2cert.get(db, db)
        except psycopg2.DatabaseError, e:
            print "Error: %s" % e
        finally:
            if con:
                con.close()
    print "Found %d/%d meta cases in %d databases" % (len(uuid_dbname_dict.keys()), total, len(dblist))
    return uuid_dbname_dict

def read_db_lists(filename):
    """Read a file, every line is one dbname"""
    dbs = []
    f1 = open(filename)
    for line in f1:
        if line.strip():
            dbs.append(line.strip())
    f1.close()
    return dbs

def read_dict(filename):
    """Read the (certname to dbname) dict from a file named filename and
       invert the dict to a (dbname to certname) dict."""
    # Read dict from file
    dict1 = {}
    f1 = open(filename)
    dict1 = eval(f1.read())
    f1.close()
    #Invert the dict
    dict2 = {}
    for k in dict1:
        dict2[dict1[k]] = k
    return dict2

def main():
    if not len(sys.argv) == 4:
        print "updatemeta.py <app dbs> <app port> <map certnr:dbname>"
        print "Not three options -> exit"
        return
    app_dbs = read_db_lists(sys.argv[1])
    port = sys.argv[2]
    map_db2cert = read_dict(sys.argv[3])

    print "Getting meta cases uuid from application..."
    uuid_dbname_dict = generate_uuid2dbname(app_dbs, port, map_db2cert)
    print "Write output to 'mapping.txt'"
    outfile = open('mapping.txt', "w+")
    outfile.write(repr(uuid_dbname_dict))
    outfile.close()

main()
