set -x
DIST=wasko
INSTALL=/home/mpuls/${DIST}/releases/current
DIR=`date +"%Y%m%d"`
export PYTHONPATH=$PYTHONPATH:${INSTALL}/base:${INSTALL}/libformed:${INSTALL}/libmpuls

mkdir ${DIR}

for fkz in `cat ${INSTALL}/evaluation/mapping_fkz.csv | cut -f1 -d\;`;
do
	python ${INSTALL}/libmpuls/mpulseval.py \
	-d ka_wasko210_db \
	-p 5436 \
	--start-date=2012-01-01 \
	--end-date=2012-12-31 \
	--start-date-field=datum_cm_start\
	--end-date-field=datum_cm_ende \
	--export=adele \
	--mapping=${INSTALL}/evaluation/mapping_fkz.csv \
	--agency=${fkz} \
        --sqlwhere="select %(fields)s from master_tbl m where m.id in (SELECT x.id from master_tbl x join fkz_tbl f ON x.fkz::VARCHAR = f.id::VARCHAR WHERE f.fkz='${fkz}')" \
	${INSTALL}/evaluation/eval_adele.xml > ${DIR}/adele/${fkz}.xml;
done
