<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="UTF-8"/>
<xsl:decimal-format name="de" decimal-separator="," grouping-separator="."/>
<xsl:strip-space elements="*"/>

<xsl:template match="/">
<xsl:text>"Auswertung"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
<xsl:text>&#10;</xsl:text>
<xsl:apply-templates />
</xsl:template>

<xsl:template name="fillmissing">
  <xsl:param name="numcols" select="count(COL)" />
  <xsl:if test="$numcols &gt; 0">
    <xsl:text>;</xsl:text>   
    <xsl:call-template name="fillmissing">
    	<xsl:with-param name="numcols" select="$numcols - 1"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<xsl:template match="evaluationset">
<xsl:apply-templates />
</xsl:template>
<xsl:template match="ID">
  <xsl:text>;;${_('ID')}:</xsl:text>
  <xsl:value-of select="." />
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//ROW[1]/COL)-2"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="evaluationset/name">
  <xsl:text>"${_('Name')}:</xsl:text>
  <xsl:value-of select="." />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="evaluationset/desc">
  <xsl:text>"${_('Desc')}:</xsl:text>
  <xsl:value-of select="." />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="evaluationset/start_date">
  <xsl:text>"${_('Start date')}:</xsl:text>
  <xsl:value-of select="." />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="evaluationset/end_date">
  <xsl:text>"${_('End date')}:</xsl:text>
  <xsl:value-of select="." />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="evaluation">
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+2"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
  <xsl:text>"${_('Id')}:</xsl:text>
  <xsl:value-of select="./@id" />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
  <xsl:text>"${_('Name')}:</xsl:text>
  <xsl:value-of select="./@name" />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="evaluation/desc">
  <xsl:text>"${_('Desc')}:</xsl:text>
  <xsl:value-of select="." />
  <xsl:text>"</xsl:text>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)+1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="table">
  <xsl:text>;;</xsl:text>
  <xsl:value-of select="./@xlabel"/>
  <xsl:call-template name='fillmissing'>
     <xsl:with-param name="numcols" select="count(//headers[1]/header)-1"/>
  </xsl:call-template>
  <xsl:text>&#10;</xsl:text>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="headers">
  <xsl:text>;</xsl:text>
  <xsl:apply-templates />
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="header">
  <xsl:text>;</xsl:text>
  <xsl:text>"</xsl:text>
  <xsl:value-of select="." />
  <xsl:text>"</xsl:text>
</xsl:template>

<xsl:template match="rows">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="row">
  <xsl:if test="count(preceding-sibling::*) &lt; 1">
    <xsl:text>"</xsl:text>
    <xsl:value-of select="../../@ylabel"/>
    <xsl:text>"</xsl:text>
  </xsl:if>
  <xsl:text>;</xsl:text>
  <xsl:value-of select="./@label"/>
  <xsl:apply-templates />
  <xsl:text>&#10;</xsl:text>
</xsl:template>

<xsl:template match="col">
  <xsl:text>;</xsl:text>
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="COL">
  <xsl:if test="count(preceding-sibling::*) &lt; 2 and count(../preceding-sibling::*[name()='ROW']) &gt; 1">
    <xsl:text>;</xsl:text>
  </xsl:if>
  <xsl:text>;</xsl:text><xsl:value-of select="VALUE"/>
</xsl:template>

<xsl:template match="text()|node()"/>
</xsl:stylesheet>


<!--
;;"Auswertung";;;
;;"Name:";"$NAME";;
;;"Beschreibung:";"$BESCHR";;
;;;;;
;;"Geschlecht";;;
;;"männlich";"weiblich";"unbekannt";"keine Angabe"
"Alter";12;6;4;2;4
;14;12;3;5;6
;19;8;0;2;1
-->
