<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" omit-xml-declaration="yes" encoding="UTF-8"/>
<xsl:strip-space elements="*"/>

<xsl:key name="xlabels" match="table" use="@xlabel"/>
<xsl:key name="ylabels" match="table" use="@ylabel"/>

<xsl:template match="/">
<xsl:apply-templates />
</xsl:template>

<xsl:template match="evaluationset">
  <div class="evaluation">
    <h1>Auswertungsergebnis</h1>
    <xsl:apply-templates />
  </div>
</xsl:template>

<xsl:template match="evaluation">
  <div class="widget container">
    <h2><xsl:value-of select="./@name" /> (<xsl:value-of select="./@id" />)</h2>

    <!--
    <xsl:variable name="xlabels">
      <xsl:for-each select="table">
        <xsl:for-each select="preceding-sibling::*/@xlabel">
          <xsl:if test="not(contains(concat('',.), last()))">
            <xsl:value-of select="."/> 
          </xsl:if>
        </xsl:for-each>
      </xsl:for-each>
    </xsl:variable>
    -->
    <xsl:for-each select="table">
      <xsl:for-each select="preceding-sibling::*/@xlabel">
        <xsl:value-of select="."/>
        |
      </xsl:for-each>
    </xsl:for-each>
    <!--
    <xsl:variable name="ylabels">
      <xsl:for-each select="table">
        <xsl:if test="position() = last()">
          <xsl:for-each select="preceding-sibling::*">
            <xsl:value-of select="./@ylabel"/> 
          </xsl:for-each>
        </xsl:if>
      </xsl:for-each>
    </xsl:variable>
    <ylabels> 
      <xsl:value-of select="$ylabels"/>
    </ylabels> 
    -->
  </div>
</xsl:template>

<xsl:template name="headers">
  <tr>
    <td colspan="2"></td>
    <xsl:call-template name="xlabelgroupings"/> 
  </tr>
  <tr>
    <th colspan="2"></th>
    <xsl:call-template name="xlabels"/> 
  </tr>
</xsl:template>


<xsl:template name="xlabelgroupings">
  <xsl:for-each select="../@id/table[generate-id() = generate-id(key('xlabels',@xlabel)[1])]">
    <td colspan="{count(headers/header)}" align="center"><xsl:value-of select="@xlabel"/></td>
  </xsl:for-each>
</xsl:template>

<xsl:template name="xlabels">
  <xsl:for-each select="table[generate-id() = generate-id(key('xlabels',@xlabel)[1])]">
      <xsl:apply-templates select="headers/header"/> 
  </xsl:for-each>
</xsl:template>

<xsl:template match="header">
  <th><xsl:value-of select="." /></th>
</xsl:template>

<xsl:template name="test">
  <xsl:for-each select="table[generate-id() = generate-id(key('ylabels',@ylabel)[1])]">
    <xsl:value-of select="./@ylabel"/>
  </xsl:for-each>
</xsl:template>

<xsl:template name="ydim">
  <xsl:for-each select="table[generate-id() = generate-id(key('ylabels',@ylabel)[1])]">
    <xsl:call-template name="rows"/>
  </xsl:for-each>
</xsl:template>

<xsl:template name="rows">
  <xsl:for-each select="rows/row">
  <xsl:variable name="rowid" select="position()"/>
  <tr>
   <xsl:if test="count(preceding-sibling::*) &lt; 1">
     <td rowspan="{count(../row)}"><xsl:value-of select="../../@ylabel"/></td>
   </xsl:if>
   <td><xsl:value-of select="@label"/></td>
  </tr>
  </xsl:for-each>
</xsl:template>

<xsl:template name="cols">
  <xsl:param name="rowid" select="count(rows/row)"/>
  <xsl:for-each select="rows/row[$rowid]">
    <xsl:apply-templates />
  </xsl:for-each>
</xsl:template>

<xsl:template match="col">
  <td class="num"><xsl:value-of select="."/></td>
</xsl:template>

<xsl:template match="row">
  <tr>
    <xsl:if test="count(preceding-sibling::*) &lt; 1">
      <td rowspan="{count(../row)}"><xsl:value-of select="../../@ylabel"/></td>
    </xsl:if>
   <td><xsl:value-of select="./@label"/></td>
   <xsl:apply-templates />
  </tr>
</xsl:template>

<!--
  <div class="widget container">
    <xsl:for-each select="table[generate-id() = generate-id(key('xlabels',@xlabel)[1])]">
      <xsl:value-of select="@xlabel"/>
    </xsl:for-each>
    <xsl:for-each select="table[generate-id() = generate-id(key('ylabels',@ylabel)[1])]">
      <xsl:value-of select="@ylabel"/>
    </xsl:for-each>
  </div>

</xsl:template>
-->

  <!-- Select list of x and x lables --> 
  <!--
  <xsl:variable name="xlabels">
    <xsl:for-each select="table">
      <xsl:if test=".">
        <xsl:value-of select="./@xlabel"/>
      </xsl:if>
    </xsl:for-each>
  </xsl:variable>
  <xsl:variable name="ylabels">
    <xsl:for-each select="table">
      <test><xsl:value-of select="preceding-sibling::*/@ylabel"/></test>
      <xsl:if test="not(contains(./preceding-sibling::*/@ylabel, ./@ylabel))">
        <xsl:value-of select="./@ylabel"/>
      </xsl:if>
    </xsl:for-each>
  </xsl:variable>
  <xsl:for-each select="table">
    <table>
      <con>
        <xsl:value-of select="./preceding-sibling::*/@ylabel"/>
      </con>
      <cur>
    <xsl:value-of select="./@ylabel"/>
      </cur>
    </table>
  </xsl:for-each>
  -->
  
  <!--
  <div class="widget container">
    <xsl:apply-templates>
      <xsl:with-param name="x" select="$xlabels"/>
      <xsl:with-param name="y" select="$ylabels"/>
    </xsl:apply-templates>
  </div>
  -->

<xsl:template match="text()|node()"/>
</xsl:stylesheet>
